#define LED_RT 13  // Verkehrsampel
#define LED_GE 12
#define LED_GN 11
#define LED_rt 6   // Fussgängerampel
#define LED_gn 5
#define taster 10
#define buzzer 3

#define gedrueckt 0
#define losgelassen 1

byte x;

void warte_taste(boolean status_taste);
void LEDsAus(void);

void setup() 
{
  pinMode(LED_RT, OUTPUT);
  digitalWrite(LED_RT,LOW);
  pinMode(LED_GE, OUTPUT);
  digitalWrite(LED_GE,LOW);
  pinMode(LED_GN, OUTPUT);
  digitalWrite(LED_GN,LOW);
  pinMode(LED_rt, OUTPUT);
  digitalWrite(LED_rt,LOW);
  pinMode(LED_gn, OUTPUT);
  digitalWrite(LED_gn,LOW);
  pinMode(buzzer, OUTPUT);
  digitalWrite(buzzer,LOW);
  pinMode(taster, INPUT_PULLUP);
}

void loop() 
{
 LEDsAus();
 warte_taste(gedrueckt);
 for(x=0; x<3; x++)       // warte 3 s
 {
  digitalWrite(LED_GE,HIGH);
  delay(400);
  digitalWrite(LED_GE,LOW);
  delay(600);
 }
  digitalWrite(LED_GN,HIGH);
  digitalWrite(LED_rt,HIGH);
  delay(3000);
  digitalWrite(LED_GN,LOW);
  digitalWrite(LED_GE,HIGH);
  delay(2000);
  digitalWrite(LED_GE,LOW);
  digitalWrite(LED_RT,HIGH);
  delay(1000);
  digitalWrite(LED_gn,HIGH);
  digitalWrite(LED_rt,LOW);
  tone(buzzer, 2000);
  delay(3000);
  noTone(buzzer);
  digitalWrite(LED_rt,HIGH);
  digitalWrite(LED_gn,LOW);
  delay(1000);
  digitalWrite(LED_GE,HIGH);
  digitalWrite(LED_RT,HIGH);
  delay(1000);
  digitalWrite(LED_RT,LOW);
  digitalWrite(LED_GE,LOW);
  digitalWrite(LED_GN,HIGH);
  delay(3000);
}

void warte_taste(boolean status_taste)
{
byte v_taster;
unsigned long v_start, v_timer;

  if(status_taste == gedrueckt)
  {
    digitalWrite(LED_GE,HIGH); // schalte die LED ein 
    v_start=millis();// startwert
    do
    {
      v_taster=digitalRead(taster);
      v_timer=millis();// aktueller Zählerwert
      if(v_taster == gedrueckt)
        { v_taster=digitalRead(taster); }
    }
    while((v_taster) && (v_timer < v_start + 400 ));// wenn taster gedrückt oder die Wartezeit abgelaufen dann ist abbruchbedingung erfüllt 
  }

  digitalWrite(LED_GE,LOW); // schalte die LED aus 
  v_start=millis();// startwert
  do
  {
    v_taster=digitalRead(taster);
    v_timer=millis();// aktueller Zählerwert
    if(v_taster == gedrueckt)
      { v_taster=digitalRead(taster); }
  }
  while((v_taster) && (v_timer < v_start + 600 ));// wenn taster gedrückt oder die Wartezeit abgelaufen dann ist abbruchbedingung erfüllt 
  


  if(status_taste == losgelassen)
  {
    do
     {
      v_taster=digitalRead(taster);
      delay(50);
      if(v_taster == losgelassen)
        { v_taster=digitalRead(taster); }
     }
    while(!v_taster);// warte bis taster losgelassen
    delay(50);
  }
}

void LEDsAus(void)
{
  digitalWrite(LED_RT,LOW);
  digitalWrite(LED_GE,LOW);
  digitalWrite(LED_GN,LOW);
  digitalWrite(LED_rt,HIGH);
  digitalWrite(LED_gn,LOW);
}
