#define LED_rt 13  // beim uno sind die Pins von 0 .. 13 durchnummeriert
#define Taster 8  // Taster S1 ist an Port 8 angeschlosen
// ########################    E N D E     D  E  R     D  E  F  I  N  E  S    ###########



boolean onoff_rt, pulled;
unsigned int count; // Variable die zum Zählen benutzt wird       
// ########################    E N D E     D  E  R     V  A R I A B L E N     ###########




void setup() {
  pinMode(LED_rt, OUTPUT); // hier wird der LED Port als Ausgang definiert
  pinMode(Taster, INPUT_PULLUP);// Pin 8 wird gleichzeitig als Eingang und mit Widerstand auf 5V definiert
  digitalWrite(LED_rt,LOW);// LED ausschalten
  onoff_rt=0; //
  pulled=0;   // nicht gedrückt
  digitalWrite(LED_rt,HIGH);// LED einschalten, nur um zu zeigen, dass das Programm gestartet wurde
  delay(1000);
  digitalWrite(LED_rt,LOW);// LED ausschalten
}
//#######################  E  N  D  E    V  O  N    S  E  T  U  P  #########################






// im Gegensatz zu setup() wird loop, wieder der Name schon sagt, permanent durchlaufen
void loop() 

{
  onoff_rt=0;
  count=0;
  
  while(digitalRead(Taster));// bleibe in der Abfrage bis Taster gedrückt also == 0 

  do// diese Schleife wartet darauf, dass der Taster losgelassen wird
  {
   count++;
   delay(1);
   pulled=digitalRead(Taster); // pulled ist so lange 0, solange Taste gedrückt
  }
  while(!pulled); // der Wert von pulled wird negiert, er ist damit so lange 1, so lange die Taste gedrückt bleibt
  
  count = count %2;  // nach dem Loslassen schau ob count gereadzahlig oder ungeradzahlig ist

  if (count)// Frage: ist onoff == HIGH oder == 1  ??
  { // wenn ja dann schalte LED aus
    digitalWrite(LED_rt, LOW);
    onoff_rt=0;// zeige an, dass LED aus ist
  }
  else
  { 
    digitalWrite(LED_rt, HIGH);
    onoff_rt=1;// merke dir, dass LED eingeschaltet wurde
  }// ende von else 

  
}// ############## e  n  d  e    v  o  n     l  o  o  p     ###############################
