// Transistor T soll Last einschalten
// Timer soll aus sleep wecken damit Powerbank geschont wird 
// aber sie muss so belastet werden, dass sie nict abschaltet
// wie groß muss der Strom sein
// wie lang darf die PAuse sein
// Widerstand mit 47R probieren

#include "LowPower.h"//muss zuerst vom internet geholt werden dann als zip eingebunden !!!!!
#include <EEPROM.h>
#define T 10
#define Ton  100
#define LED 13
#define BAUD 9600
#define Hysterese 20 // damit die LED nicht bei jeder kleinen Schwankung schaltet, 
//                      definiert man eine Hysterese
unsigned int licht, s;
unsigned int addr, val;
boolean schreib;
unsigned char data;

void Verbraucher_ein(void);

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED, OUTPUT);
  pinMode(T,OUTPUT); //mit einem Transistor an Pin D10 kann man einen Strom fließen lassen um 
                      // ein abschalten der Power bank zu verhindern 
  addr=0x01;
  val=0;
  Serial.begin(BAUD);
  EEPROM.write(addr, val);// jetzt steht die 0 im EEPROM
  schreib =0;

  s=500; //Schwellwert für die Dunkelheit
}

// the loop function runs over and over again forever
void loop() 
{
  licht = analogRead(A0);
  Serial.println(licht,DEC);
  delay(200); // es reichen fünf Messwerte pro Sec leicht aus  

  if((licht <  s) && (schreib == 0))
  { 
    val++;//immer wenn ich Licht bekomme, erhöhe ich den Wert
    EEPROM.write(addr, val);
    schreib = 1;
    digitalWrite(LED,HIGH);
    delay(1000);
    digitalWrite(LED,LOW);
    delay(1000);
    Serial.print("speichern:");
    Serial.println(val,DEC);
  }

  if(licht >s)// wenn es wieder dunkel ist mache ich Falle scharf
  {
    schreib=0;
    Serial.println("Schreib 0");
  }

  if(Serial.available())// habe ich Daten vom PC empfangen
  {// wenn daten empfangen werden, sende ich val 
    do
    {
      data = Serial.read();
      if(data == 'r')
        {
        val=EEPROM.read(addr);
        Serial.print(val,DEC);
        }
      if(data == 'l');
        { 
          val=0;// setze den Wert wieder auf Null
          EEPROM.write(addr,val);  
        }
    }
    while(Serial.available());
  }

// mit diesem Befehl schicke ich den Arduino für die Dauer von 8s schlafen
   LowPower.idle(SLEEP_8S, ADC_OFF, TIMER2_OFF, TIMER1_OFF, TIMER0_OFF, SPI_OFF, USART0_OFF, TWI_OFF);

}


void Verbraucher_ein(void)
{
  digitalWrite(T,HIGH);// Last einschalten
  delay(Ton);
  digitalWrite(T,LOW);// Last wieder ausschalten
}
