#define LED 13
#define down_Pin 12
#define left_Pin 11
#define right_Pin 10
#define push_Pin 9
#define set_Pin 8
#define reset_Pin 7
#define up_Pin  6

#define abbruch 'a'

enum buttons {left, right, up, down, push, RST, SET, none};
unsigned char button;
unsigned char key;

void setup() 
{
  Serial.begin(9600);
  pinMode(up_Pin, INPUT_PULLUP);
  pinMode(down_Pin, INPUT_PULLUP);
  pinMode(left_Pin, INPUT_PULLUP);
  pinMode(right_Pin, INPUT_PULLUP);
  pinMode(push_Pin, INPUT_PULLUP);
  pinMode(set_Pin, INPUT_PULLUP);
  pinMode(reset_Pin, INPUT_PULLUP);
  pinMode(LED, OUTPUT);
  digitalWrite(LED, LOW);
  
}

void loop() 
{
  
  do
  {
    button=none;  
    if(digitalRead(up_Pin) == LOW)
      { button = up; }
    if(digitalRead(down_Pin) == LOW)
      { button = down; }
    if(digitalRead(left_Pin) == LOW)
      {  button = left; }
    if(digitalRead(right_Pin) == LOW)
      {  button = right; }
    if(digitalRead(push_Pin) == LOW)
      { button = push;  }
    if(digitalRead(set_Pin) == LOW)
      {   button = SET; }
    if(digitalRead(reset_Pin) == LOW)
      {   button = RST; }
    delay(500);

    switch(button)
    {
      case up: Serial.print("oben");
        break;
      case down: Serial.print("unten");
        break;
      case left: Serial.print("Links");
        break;
      case right: Serial.print("Rechts");
        break;
      case push: Serial.print("PUSH Button");
        break;
      case SET: { Serial.print("SET");digitalWrite(LED,HIGH); }
        break;
      case RST: { Serial.print("RST");digitalWrite(LED,LOW); }
        break;
    }

    if(button != none)
      { Serial.println(" wurde gedrückt");}
    
    if(Serial.available())
      { key = Serial.read();}
  }   
  while(key != abbruch);

  Serial.println(" Schleife wurde verlassen ");
  
}
