#include <Wire.h>
#include <Adafruit_Sensor.h>
#include "DHT.h"
#define DHTPIN 2 //der Pin im Steckplatz,der zum Datentransfer benötigt wird
#define DHTTYPE DHT11 // welches Modul dieser Famile wird verwendet DHT11 || DHT21 || DHT22

DHT dht(DHTPIN, DHTTYPE);//initialisiert die Sensorklasse

float RH; // Variable für die relative Luftfeuchte
unsigned int T;  // Variable für die Temperatur

void setup() 
{
  Serial.begin(9600);  
  dht.begin();
}

void loop() 
{
  delay(2000);
  RH = dht.readHumidity();
  T  = (unsigned int) dht.readTemperature();  // da der Wert eh ungenau ist,
                // reicht die Ausgabe als ganze Zahl, deshalb der cast operator (unsigned int)
  Serial.print("Feuchtigkeit: ");
  Serial.print(RH);
  Serial.print(" %");
  Serial.print(" Temperatur: ");
  Serial.print(T,DEC);
  Serial.println(" °C");
}
