
#include <Arduino.h>
#include <U8g2lib.h>

#ifdef U8X8_HAVE_HW_SPI
#include <SPI.h>
#endif
#ifdef U8X8_HAVE_HW_I2C
#include <Wire.h>
#endif


#define deltaX 10
#define deltaY 6

U8G2_ST7920_128X64_F_SW_SPI u8g2(U8G2_R0, 13, 11, 10);

unsigned char x1,x2,y1,y2,i;

void setup(void) {
  u8g2.begin();
 
}

void loop(void) {
 
  u8g2.clearBuffer();
  //Textausgabe
  u8g2.setFont(u8g2_font_6x10_tf);
  u8g2.drawStr(25,30,"www.pollin.de");
  u8g2.sendBuffer();
  delay(2000);
  
  x2=0;
  y1=0;
  x1=12;
  y2=60;
  for(i=0; i<10; i++)
  {
    u8g2.drawLine(x1,y1,x2,y2);
    u8g2.sendBuffer();
    x1=x1+deltaX;
    y2=y2-deltaY;
    delay(200);
  }
  delay(1000);

  x2=127;
  y1=0;
  x1=120;
  y2=60;
  for(i=0; i<10; i++)
  {
    u8g2.drawLine(x1,y1,x2,y2);
    u8g2.sendBuffer();
    x1=x1-deltaX;
    y2=y2-deltaY;
    delay(200);
  }
  delay(1000);

  x1=127;
  y2=60;
  y1=0;
  x2=120;
  
  for(i=0; i < 10; i++)
  {
    u8g2.drawLine(x1,y1,x2,y2);
    u8g2.sendBuffer();
    x2=x2-deltaX;
    y1=y1+deltaY;
    delay(200);
  }
  delay(1000);

  x1=0;
  y2=60;
  y1=10;
  x2=10;
  
  for(i=0; i < 10; i++)
  {
    u8g2.drawLine(x1,y1,x2,y2);
    u8g2.sendBuffer();
    x2=x2+deltaX;
    y1=y1+deltaY;
    delay(200);
  }
  delay(1000);
  
}
