#define Echo 2  // Eingangs Pin für das Empfanssignal
#define Trig 3  // Ausgangspin für den Start des Sendeimpulses

int Duration;   // wie lange war der Impuls unterwegs
float Distance; // errechne die Entfernung

void setup() {
  Serial.begin(9600);
  pinMode(Trig,OUTPUT);
  pinMode(Echo,INPUT);
}

void loop() {
  digitalWrite(Trig,LOW); // erzeuge einen kurzen Sendeimpuls
  delayMicroseconds(1);
  digitalWrite(Trig,HIGH);
  delayMicroseconds(1);
  digitalWrite(Trig,LOW);
  
  Duration = pulseIn(Echo,HIGH);// jetzt warte auf das Echo
  if (Duration > 0) 
  {
    Distance = Duration/2;
    Distance = Distance * 0.034; // theoretische Schallgeschwindigkeit 340m/s = 34000cm/s = 0.034cm/us
    Serial.println((int)floor(Distance));
  }
}
