#define Echo 2
#define Trig 3
#define Mounting 220    // in welcher Höhe[cm]  ist der Sensor montiert?
#define max_time 12000 // maximal mögliche Laufzeit s = v * t -> t = s / v; ->   t = 2 * 220cm Hühe / 0.034[cm / us] die Höhe muss doppelt gezählt werden: Hin und zurück
// ende der defines #################
// ##################################

int Duration;
float Distanz;
float Altitude;
// ende der Variablendeklaration #########
// #######################################

void trigger(void);// diese funktion schaltet den Trigger kurz auf high
// ende der Funktionsprototypen #########
// ######################################

void setup() 
{
  Serial.begin(9600);
  pinMode(Trig,OUTPUT);
  digitalWrite(Trig,LOW);
  pinMode(Echo,INPUT);
}
// ende setup()#########################
//#####################################


void loop() 
{
  trigger();                              // erzeuge den Trigger und warte auf das Echo
  Duration = pulseIn(Echo,HIGH,max_time); // Zähle so lange die Zeit bis ein HIGH-Puls am Eingang ECHO erkannt wird, Falls keiner erkannt wird breche nach 12ms Wartezeit ab
  {
    Distanz = Duration/2;               // der Impuls legt die Strecke vom und zum Objekt zurück
    Distanz = Distanz * 0.0340;         // Schallausbreitungsgeschwindigkeit ist bei Raumtemperatur 340m/s = 34000cm/s = 0.034cm/us
    Serial.println((int)floor(Distanz));// floor rundet eine float zahl ab
    Altitude = Mounting - Distanz;
    Serial.println((int)floor(Altitude));// floor rundet eine float zahl ab
  }
}

// ende von loop()##########################
// #########################################

void trigger(void)
{
  digitalWrite(Trig,HIGH);
  delayMicroseconds(10);// löse den Sendeimpuls aus
  digitalWrite(Trig,LOW);
}
