#define BAUD 9600   // Übertragungsrate für die serielle Schnittstelle
#define k_break 400 // Konstante Zahl für die Pause zwischen den Spannungsmessungen


unsigned int licht; // natürliche Zahl
float voltage;      // Fließkomma-Zahl für die gemessene Spannung

// the setup function runs once when you press reset or power the board
void setup() 
{ Serial.begin(BAUD); } // initialisiere die serielle Schnittstelle D0 und D1 sind somit nicht für Ein- und Ausgabe verwendbar



void loop() 
{
  licht = analogRead(A0);// Zahlenwert vom AD-Wandler einlesen: 0=[0V] ... 1023=[5V]
  voltage= licht * (5.0 / 1023);// Wert des ADC in eine Spannung umwandeln
  Serial.print("Wert vom Arduino: ");Serial.print(licht, DEC);Serial.print(" dies entspricht: ");Serial.print(voltage,2);Serial.println(" Volt");
  delay(k_break); // k_break kann jederzeit verändert werden 
}
