
#define out_T1 2 //definiere Pin zum Schalten von T1
#define out_T2 3 //definiere Pin zum Schalten von T2
#define out_T3 4 //definiere Pin zum Schalten von T3
#define out_T4 5 //definiere Pin zum Schalten von T4

#define on 1
#define off 0


byte v_rx;
boolean s_T1,s_T2,s_T3,s_T4; // speichere den Schaltzustand der Transistoren

void mosfet1(void); // welcher fet soll geschaltet werden on/off

void setup() 
{
  // put your setup code here, to run once:
  pinMode(out_T1,OUTPUT);
  pinMode(out_T2,OUTPUT);
  pinMode(out_T3,OUTPUT);
  pinMode(out_T4,OUTPUT);

  digitalWrite(out_T1,LOW);
  digitalWrite(out_T2,LOW);
  digitalWrite(out_T3,LOW);
  digitalWrite(out_T4,LOW);
  
  Serial.begin(9600);
  s_T1=off;
  s_T2=off;
  s_T3=off;
  s_T4=off;

  Serial.println(" Schau ob alle LED's geschalten werden");
  delay(500);
  digitalWrite(out_T1,HIGH);
  delay(500);
  digitalWrite(out_T1,LOW); 
  digitalWrite(out_T2,HIGH);
  delay(500);
  digitalWrite(out_T2,LOW); 
  digitalWrite(out_T3,HIGH);
  delay(500);
  digitalWrite(out_T3,LOW); 
  digitalWrite(out_T4,HIGH);
  delay(500);
  digitalWrite(out_T4,LOW); 
  
  
}

void loop() 
{
  v_rx=0;
 if(Serial.available() > 0)
 { 
  v_rx=Serial.read();
  //Serial.println(v_rx); // Echo des Befehls nur zu Testzwecken
 

  switch (v_rx)
  {
    case '1': Serial.print("schalte T1:");mosfet1();
    break;
    case '2': Serial.print("schalte T2:");mosfet2();
    break;
    case '3': Serial.print("schalte T3:");mosfet3();
    break;
    case '4': Serial.print("schalte T4:");mosfet4();
    break;
  }
  
 }// ende von if(serial.available 
}

void mosfet1(void)
{
  if(s_T1 == on)
  { s_T1=off;Serial.println(" aus");digitalWrite(out_T1,LOW); }
  else
  { s_T1=on;Serial.println(" ein");digitalWrite(out_T1,HIGH); }
}

void mosfet2(void)
{
 if(s_T2 == on)
  { s_T2=off;Serial.println(" aus");digitalWrite(out_T2,LOW); }
  else
  { s_T2=on;Serial.println(" ein");digitalWrite(out_T2,HIGH); }
}
void mosfet3(void)
{
  if(s_T3 == on)
  { s_T3=off;Serial.println(" aus");digitalWrite(out_T3,LOW); }
  else
  { s_T3=on;Serial.println(" ein");digitalWrite(out_T3,HIGH); }
}
void mosfet4(void)
{
 if(s_T4 == on)
  { s_T4=off;Serial.println(" aus");digitalWrite(out_T4,LOW); }
  else
  { s_T4=on;Serial.println(" ein");digitalWrite(out_T4,HIGH); }
}
