
// f_l=362HZ  und f_h=483Hz bei Stillstand


#define piezoPin 11 // define where the
#define taster 10   // wo ist der Pin angeschlossen

unsigned char v_taster;  // Variable für den Eingelesenen Zustand
unsigned char v_count;   // Zählvariable

void setup()
{
  v_count=0;
  pinMode( piezoPin, OUTPUT); 
  pinMode( taster, INPUT_PULLUP);
  Serial.begin(9600);
  Serial.print(" warte auf Tastendruck: ");
  // Starte erst, wenn die Taste betätigt
  do
   {
     v_taster=digitalRead(taster);
     if(!v_taster) // wenn taste gedrückt lese nochmal, um sicher zu gehen
        {
          delay(20); // "entprelle" Taste 
          v_taster=digitalRead(taster); 
        }
      else
      {  
        delay(10);  
        v_count++;
        if(v_count >= 50)
        {
          v_count=0;
          Serial.print(". ");
        }
      } 
   }
   while(v_taster);// wenn taster gedrückt oder die Wartezeit abgelaufen dann ist abbruchbedingung erfüllt 
   Serial.println("\r\n Martinshorn eingeschaltet ");
}

void loop()
{

 tone(piezoPin, 362);
 delay(1000);
 tone(piezoPin, 483);
 delay(1000);   
}//end of loop
