
// PolizeiLand2
// ist eine Weiterentwicklung von 1 
// übersichtlichere Gestaltung mit Hilfe von subroutinen
// dazu blinken 2 LED's
// in der Hoffnung dass es diesmalfunktioniert

#define LSP 11 // 
int x;//Laufvariable der for-Schleife
int b=0;// Laufvriable zu zählen sol lange Fzg beschleunigt
int fade = 1;

// f_l=362HZ  und f_h=483Hz bei Stillstand
// f_b = fs / (1 - (v/340)
// folgende Werte sind die Frequenzen bei stehendem Fzg:
int per_h=1035;// halbwelle in us
int xl=362;// 1s soll der Ton erkllingen
int per_l=1381;
int xh=483;// anzahl der durchläufe ist die Frequenz
/* folgende Werte sind für 6s Beschleunigung auf 60km/h
int delta_l=6;// (1381-1312)/(2*6) f erhöht sich jeweils um
int delta_h=5;// (1035-984)/(2*6)  f erhöht sich je um
int vorbei_l=1458;//  1/(2*343Hz)
int vorbei_h=1092;//  1/(2*458Hz)
*/
// folgende Werte gelten für 100km/h in 6s
int delta_l =13;// eigentlich beide um 4 zu viel
int delta_h =11;
int vorbei_l=1501;
int vorbei_h=1125;
int vol;

void hupe(int pwm, int v_time);


void setup()
{
  pinMode( LSP, OUTPUT);
  // Starte gleich mit dem Abspielen:
 vol = 1;    
  b++;
  if (b < 6) // in der ersten Phase der Beschleunigung mit f zu!!
  {
    per_h = per_h - delta_h; //subtrahieren, weil f zunimmt!!
    xh = xh + 9;
    per_l = per_l - delta_l;
    xl = xl + 11;
    vol=1;
  }
  else // Auto ist vorbai, also sinkt f schlagartig und sollte dann auch leiser werden
  {
    per_h = vorbei_h;
    xh=458;
    per_l = vorbei_l;
    xl=343;
    vol=0;
  }
  
  for(x=0; x < xh; x++) // hier höhere Frequenz
  {  // if == 0
      hupe(vol, per_h); 
  }  
    
  for(x=0; x < xl; x++) // hier die niedrigere Frequenz
     { hupe(vol, per_l);   }
  digitalWrite(LSP, LOW); // kein signal an den Lautsprecher geben   
}


void loop()
{
 // keine Schleife, weil Eereignis eigentlich nur einmalig
 // außer es ist ein Großeinsatz mit Rettungskräften
}
//end of loop



void hupe(int pwm, int v_time)
{
int v_time_h,v_time_l;

 if (pwm == 1) // volle Leistung
 { v_time_h = v_time;
   v_time_l = v_time;
 }
 else
 {
   v_time_h = v_time;
   v_time_l = v_time_l;
 } // wenn Ton leiser werden soll
 if(b < 12) 
  { digitalWrite(LSP, HIGH);}
 else
   {
     digitalWrite(LSP, HIGH);
     v_time_h=v_time_h-1000;//bei 1300 Grenze überschritten????????????
     v_time_l=v_time_l+1000;
   } 
 delayMicroseconds(v_time_h);
 digitalWrite(LSP, LOW );
 delayMicroseconds( v_time_l);
}// end of hupe
