
// f_l=362HZ  und f_h=483Hz bei Stillstand


#define piezoPin 11 // define where the
#define taster 10   // wo ist der Pin angeschlossen

unsigned char v_taster;  // Variable für den Eingelesenen Zustand
unsigned char v_count;   // Zählvariable



void setup()
{ 
  pinMode( piezoPin, OUTPUT); 
  Serial.print(" warte auf Tastendruck: ");
  // Starte erst, wenn die Taste betätigt
  do
   {
     v_taster=digitalRead(taster);
     if(!v_taster) // wenn taste gedrückt lese nochmal, um sicher zu gehen
        {
          delay(20); // "entprelle" Taste 
          v_taster=digitalRead(taster); 
        }
  
   }
   while(v_taster);// wenn taster gedrückt oder die Wartezeit abgelaufen dann ist abbruchbedingung erfüllt 
   Serial.println("Starte Melodie");
}

void loop()
{

 tone(piezoPin, 362);
 delay(500);
 tone(piezoPin, 483);
 delay(500);   
}//end of loop
