#define NTC  A0 //Anschlusspin des NTC am Arduino 
#define B 3435  //Beta-wert des thermsitors aus Datenblatt
#define resistance 10 //the value of the pull-down resistor

void setup()
{
  Serial.begin(9600);
}

void loop()
{
  //read thermistor value 
  long a = analogRead(NTC);
  //the calculating formula of temperature
  float tempC = beta /(log((1025.0 * 10 / a - 10) / 10) + beta / 298.0) - 273.0;
  //float tempF = 1.8*tempC + 32.0;//convert centigrade to Fahrenheit
  Serial.print("TempC:  ");//print" TempC: "
  Serial.print(tempC);//print Celsius temperature
  Serial.print("  C");//print the unit
  Serial.println();
  //Serial.print("TempF:  ");
 // Serial.print(tempF);
 // Serial.print("  F");
  delay(200); //wait for 200 milliseconds
}
int Ro = 50, B =  3950; //Nominal resistance 50K, Beta constant
int Rseries = 10;// Series resistor 10K
float To = 298.15; // Nominal Temperature

void setup() {
  Serial.begin(9600);
}

/*
void loop() {
  /*Read analog outputof NTC module,
   i.e the voltage across the thermistor 
  float Vi = analogRead(A0) * (5.0 / 1023.0);
  //Convert voltage measured to resistance value
  //All Resistance are in kilo ohms.
  float R = (Vi * Rseries) / (5 - Vi);
  /*Use R value in steinhart and hart equation
    Calculate temperature value in kelvin
  float T =  1 / ((1 / To) + ((log(R / Ro)) / B));
  float Tc = T - 273.15; // Converting kelvin to celsius
  float Tf = Tc * 9.0 / 5.0 + 32.0; // Converting celsius to Fahrenheit
  Serial.println((String)"Temperature in celsius    :" + Tc + "°C");
  Serial.println((String)"Temperature in Fahrenheit :" + Tf + "°F");
  Serial.println(" ");
  delay(1000);
}



/*
Alternativ:
tempMean = tempSampleSum / tempSampleCount;
R2 = (voltageDividerR1*tempMean)/(1023-tempMean);
 
a = 1/T1;
b = log10(R1/R2);
c = b / log10(e);
d = c / BValue ;
T2 = 1 / (a- d);
Serial.print(T2 - 273.15,decimalPrecision);
Serial.println(" °C");
 
tempSampleSum = 0;
tempSampleCount = 0;
}

zweite Alternative:
 double output_voltage, thermistor_resistance, therm_res_ln, temperature; 
  thermistor_adc_val = analogRead(thermistor_output);
  output_voltage = ( (thermistor_adc_val * 5.0) / 1023.0 );
  thermistor_resistance = ( ( 5 * ( 10.0 / output_voltage ) ) - 10 ); // Resistance in kilo ohms 
  thermistor_resistance = thermistor_resistance * 1000 ; // Resistance in ohms  
  therm_res_ln = log(thermistor_resistance);
  //  Steinhart-Hart Thermistor Equation: 
  //  Temperature in Kelvin = 1 / (A + B[ln(R)] + C[ln(R)]^3)   
  //  where A = 0.001129148, B = 0.000234125 and C = 8.76741*10^-8  
  temperature = ( 1 / ( 0.001129148 + ( 0.000234125 * therm_res_ln ) + ( 0.0000000876741 * therm_res_ln * therm_res_ln * therm_res_ln ) ) ); // Temperature in Kelvin 
  temperature = temperature - 273.15; // Temperature in degree Celsius 
  Serial.print("Temperature in degree Celsius = ");
  Serial.print(temperature);
  Serial.print("\t\t");
  Serial.print("Resistance in ohms = ");
  Serial.print(thermistor_resistance);
  Serial.print("\n\n");
  delay(1000);

dritte Alternative:
   Abfrage[i] = analogRead(NTC);
    delay(10);
  }
  
  // Mittelt alle Abfragen
  Durchschnitt = 0;
  for (int i=0; i < AbfrageZahl; i++) {
    Durchschnitt += Abfrage[i];
  }
  Durchschnitt /= AbfrageZahl;
  
  // Umwandlung des Wertes in Wiederstand
  Durchschnitt = 1023 / Durchschnitt - 1;
  Durchschnitt = SerienWiederstand / Durchschnitt;
  
  // Umrechnung aller Ergebnisse in die Temperatur mittels einer Steinhard Berechnung
  Temp = Durchschnitt / NTCNominal;     // (R/Ro)
  Temp = log(Temp);                     // ln(R/Ro)
  Temp /= BCoefficient;                 // 1/B * ln(R/Ro)
  Temp += 1.0 / (TempNominal + 273.15); // + (1/To)
  Temp = 1.0 / Temp;                    // Invertieren
  Temp -= 273.15;                       // Umwandeln in °C


  
*/
