#define limit_O 200
#define limit_U 10
#define PIR 3         // Ausgang des PIR-sensors
#define LED1 7        // Ausgangspin des Arduino zum Schalten der LED
#define t_LED 900     // wie viele ms soll die Anteige-LED ein sein?

// ende der defines ######################
//####################################################################

unsigned int count;   // Ereigniszahler
boolean v_flanke;     // variable für Zustand des Eingangssignals 
// ende der Variablendeklarationen
//###########################################################################

void setup() 
{
  pinMode(LED1, OUTPUT);    // LED ist OUTPUT
  pinMode(PIR, INPUT);      // PIR-Signal als INPUT schalten, um einzulesen
  Serial.begin(9600);       // Innitialisiere die serielle Schnittstelle mit 9600 Baud
  count=0;                  // variable =0 weil noch kein Gast gezählt wurde
}
// ende von s e t u p ();
//################################################################################

void loop() 
{ 
  do    // warte bis PIR ausgeloest hat, 
  {     // bzw. ein neuer Durchgang
    v_flanke=digitalRead(PIR);
  }
  while(!v_flanke);//Abbruchbedingung ist wenn der Wert zwischen der Klammer == 0, also falsch ist
  count++; // wenn jemand erkannt wurde, dann erhohe um 1
  Serial.print("bisher gezaehlt: ");
  Serial.println(count,DEC); 
  digitalWrite(LED1, HIGH);   // LED einschalten
 do    // warte bis PIR ausgeloest hat, 
  {     // bzw. ein neuer Durchgang
    v_flanke=digitalRead(PIR);
  }
  while(v_flanke);//Abbruchbedingung ist wenn der Wert zwischen der Klammer == 0, also falsch ist
  digitalWrite(LED1, LOW);   // LED abschalten
}
//################################################################################
// ende von l o o p ();  #########################################################
//################################################################################
