/*
  Mega analogWrite() test
  Hier möchte ich versuchen mit einer Tabelle alle LED's anzusprechen
  dann mit enum die tabelle in horizontaler Richtung
  und mit einer LAufvariable die Zeilen der Matrix
  So könnte man das Programm auf eine Ausgabezeile beschränken und übersichtlicher gestalten
  state[0][]= 0, 0, 0, 0, 0, 0;
  state[1][]= 1, 0, 0, 0, 0, 0; 
  state[2][]= 1, 1, 0, 0, 0, 0;
  state[3][]= 1, 2, 1, 0, 0, 0;
  state[4][]= 0, 1, 2, 1, 0, 0;
  state[5][]= 0, 0, 1, 2, 1, 0;
  state[6][]= 0, 0, 0, 1, 2, 1;
  state[7][]= 0, 0, 0, 0, 1, 1;
  state[8][]= 0, 0, 0, 0, 0, 1;
  0 0 0 0 0 0 hier beginnt s wieder von vorne
  1 ist halbe Helligkeit
  2 ist volle Helligkeit
  0 ist aus
  */
const int lowestPin = 5;
const int highestPin = 11;
byte test4;
uint8_t test2;
int Reihe,Spalte; //Laufvariablen der Matrix
int brightness1, brightness3, brightness5, brightness6, brightness9, brightness10, brightness11;
int x;//Laufvariable
const int T1=10;// Verzögerung in ms
const int T2=20;//Wartezeitfür eine Drehung
// nun alle Pins
int8_t PWM_out[6]={ 3, 5, 6, 9, 10, 11}; //LED0, LED1, LED2, LED3, LED4, LED5, LED6, LED7, LED8, LED9, LED10, LED11};
int8_t LED13 =13;
const int8_t aus=0;
const int8_t halb=60;
const int8_t ein=255;

int8_t state[10][6]= {
 {aus, aus, aus, aus, aus, aus},
 {halb, aus, aus, aus, aus, aus}, 
 {halb, halb, aus, aus, aus, aus},
 {halb, ein, halb, aus, aus, aus},
 {aus, halb, ein, halb, aus, aus},
 {aus, aus, halb, ein, halb, aus},
 {aus, aus, aus, halb, ein, halb},
 {aus, aus, aus, aus, halb, halb},
 {aus, aus, aus, aus, aus, halb},
 {aus, aus, aus, aus, aus, aus},
      };
void test()
{
    digitalWrite(LED13,HIGH);
    delay(400);
    digitalWrite(LED13,LOW);
    delay(200);
    
}
  
void setup() 
{
  // durch die for-Schlefe erpsart man sich Schreibarbeit indem so die Ausgänge D5 ... D11 alle auf OUTPUT konfiguriert werden
  for (int Pin = lowestPin; Pin <= highestPin; Pin++) 
  { pinMode(Pin, OUTPUT); } // es werden auch Pins auf OUTPUT gesetzt, die nicht gebraucht werden. Das stört hier nicht, sollte aber ansonsten vermieden werden
}

void loop() 
{

  for(Reihe=9; Reihe >=0; Reihe--)
  {  
    for (Spalte=0; Spalte < 6; Spalte++)
     { analogWrite(PWM_out[Spalte], state[Reihe][Spalte]);  }
    delay(T1);
   }   
  delay(T2);
} //end of loop
