// erstes Beispiel um Zahlen an der 7-Segment Anzeige auszugeben

#define dataPin 3
#define clkPin 2
#define timer 400 // Wartezeit zwischen jedem Zeichen
unsigned char digit[8]={0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01};
unsigned char data[11]={0x03,0x9F, 0x25, 0x0D, 0x99, 0x49, 0x41, 0x1F, 0x01, 0x09, 0xFE};   
unsigned char dig_active[8];// es können nur maximal acht digit 0.. 7 aktiv sein, wenn 0xA dann aus ansonsten 0 ... 9 und B für Dot
unsigned char x;


void setup() {
  // put your setup code here, to run once:
  pinMode(dataPin,OUTPUT);
  pinMode(clkPin, OUTPUT);

  shiftOut(dataPin, clkPin, LSBFIRST, data[0]);
  shiftOut(dataPin, clkPin, LSBFIRST, digit[0]);
}

void loop() {
  // put your main code here, to run repeatedly:

  shiftOut(dataPin, clkPin, LSBFIRST, data[0]); // 0 wird 
  shiftOut(dataPin, clkPin, LSBFIRST, digit[0]);// an Digit 0 ausgegeben
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[0]); // 0 wird 
  shiftOut(dataPin, clkPin, LSBFIRST, digit[1]); // an Digit 1 ausgegeben
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[2]); // 2 wird
  shiftOut(dataPin, clkPin, LSBFIRST, digit[2]);// an Digit ausgegeben
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[4]); // 4 wird 
  shiftOut(dataPin, clkPin, LSBFIRST, digit[3]);// an Digit 3 ausgegeben
  delay(timer);
                          // gib die nachfolgenden Zahlen am Display aus:
  dig_active[0]=data[0];
  dig_active[1]=data[1];
  dig_active[2]=data[2];
  dig_active[3]=data[3];
  dig_active[4]=data[8];
  dig_active[5]=data[7];
  dig_active[6]=data[6];
  dig_active[7]=data[5];
  
  for(x=0; x <= 7; x++)
  {
   // if(digit[x] != 0)
    {
      shiftOut(dataPin, clkPin, LSBFIRST, dig_active[x]); // mit den aktuellen Werten
      shiftOut(dataPin, clkPin, LSBFIRST, digit[x]);      // nur die Aktiven Digits auswählen
    }  
    delay(timer);
  }

}
