// hier wird in der ersten Zeile 20
// und in der zweiten Zeile:     0028 angezeigt

#define dataPin 3
#define clkPin 2

unsigned char digit[8]={0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01};
unsigned char data[11]={0x03,0x9F, 0x25, 0x0D, 0x99, 0x49, 0x41, 0x1F, 0x01, 0x09, 0xFE};   
unsigned char dig_active[8]={0,0,0,0,0,0,0,0};// es können nur maximal acht digit 1.. 8 aktiv sein, wenn 0xA dann aus ansonsten 0 ... 9 und B für Dot
unsigned char x;
unsigned char timer;  // dieser Wert ist abhängig von der Anzahl der verwendeten Zeichen
                        // je mehr Zeichen desto kleiner soll die Zeit sein um flackern zu verhindern
                        // aber je größer die Zeit, desto heller die Anzeige


void setup() {
  // notwendige Pins als Ausgang definieren
  pinMode(dataPin,OUTPUT);
  pinMode(clkPin, OUTPUT);

  timer=2; 
}

void loop() {
  // put your main code here, to run repeatedly:

  dig_active[0]= data[2]; // erstes Digit bekommt 2
  dig_active[1]= data[0]; // erstes Digit bekommt 0
  dig_active[6]= data[2]; // erstes Digit bekommt 2
  dig_active[7]= data[8]; // erstes Digit bekommt 0
  for(x=0; x <= 7; x++)
  {
    if(dig_active[x] !=0)
    {
      shiftOut(dataPin, clkPin, LSBFIRST, dig_active[x]); // Ziffer 0
      shiftOut(dataPin, clkPin, LSBFIRST, digit[x]);// erstes Digit
      delay(timer);
    }
  }

}
