#define limit_O 6
#define limit_U 1
#define taster 7


#define LED2 13
#define LED1 12
#define LED0 11
#define gedrueckt 0
#define losgelassen 1
#define t_reaktion 50 // welche Reaktiobzeit wird toleriert

unsigned long time_start,time_stopp; //werte für start und stopp zeitstempel
unsigned int delta;

unsigned int zufall;// zufallszahl
unsigned int Tdel; // reaktionszeit abspeichern
boolean v_taster;// variable für Tasterzustand

void warte_taste(boolean status_taste);// eine funktionm die wartet ob taste gedrueckt oder losgelassen

void setup() 
{
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(LED0, OUTPUT);
  
  pinMode(taster, INPUT_PULLUP);
  randomSeed(analogRead(0));// da,it wird der erste Wert über einen freien Port zufällig generiert. freier Pin A0!!!!!!
  Serial.begin(9600);
}

// the loop function runs over and over again forever
void loop() 
{ 
  warte_taste(gedrueckt);// warte bis taster gedrueckt, dann startet der Zufallsgenerator
  zufall = random(limit_O);// random erzeugt nur scheinbar zufallszahlen, nach neustart würden sie sich wiederholen
    // zufall enthält einen wert von 0 ... 300
  
  zufall = random(limit_U,limit_O);// random erzeugt nur scheinbar zufallszahlen, nach neustart würden sie sich wiederholen
    // zufall enthält einen wert von 0 ... 300
  Serial.println(zufall);
  PORTB=zufall; 
}  


void warte_taste(boolean status_taste)
{
  if(status_taste == gedrueckt)
  {
    do
    {
      v_taster=digitalRead(taster);
      delay(50);
      if(v_taster == gedrueckt)
        { v_taster=digitalRead(taster); }
    }
    while(v_taster);// wenn taster gedrückt, ist v_taster = 0 und damit die abbruchbedingung erfüllt 
  }

  if(status_taste == losgelassen)
  {
    do
     {
      v_taster=digitalRead(taster);
      delay(50);
      if(v_taster == losgelassen)
        { v_taster=digitalRead(taster); }
     }
    while(!v_taster);// warte bis taster losgelassen
    delay(50);
  }
  
}
