#include "HX711.h"

#define warte 800

const int SDA_PIN=2;
const int SCK_PIN=3;

long messwert;

HX711 zelle;

void setup() 
{
  Serial.begin(115200);
  zelle.begin(SDA_PIN, SCK_PIN);
}

void loop() 
{

  if (zelle.wait_ready_retry(10)) 
  {
    messwert = zelle.read();
    Serial.print("Messwert: ");
    Serial.println(messwert);
  }
  else 
  {
    Serial.println("keine Verbindung zum HX711");
  }

  delay(warte);
  
}
