#define ledPin1 9  // LED an PWM Pin anschließen 
#define ledPin2 11 
#define delta_t 25 // wie lange soll der aktuelle Wert gültig dein
#define delta_val 5// um wie viel soll der Wert bei jedem Durchlauf geändert werden

unsigned char val; // val ist 0 ... 255, deshalb als char definiert

void setup() 
{
  pinMode(ledPin1, OUTPUT);
  pinMode(ledPin2, OUTPUT);
}

void loop() 
{
  // langsam heller werdend
  for (val = 0 ; val <= 255; val += delta_val) 
  {
    analogWrite(ledPin1, val);
    analogWrite(ledPin2,(255-val));
    delay(delta_t);
  }

  // langsam dunkler werdend
  for (int fadeValue = 255 ; fadeValue >= 0; fadeValue -= delta_val) 
  {
    analogWrite(ledPin2, val);
    analogWrite(ledPin1,(255-val));
    delay(delta_t);
  }
}
