// sende befehle über den seriellen Monitor Option: kein Zeilenende im unteren Feld links neben der BAUD-Rate einstellen


#define Mot1A 3 // mögliche PWM - Pins 3, 5, 6, 9, 10, 11
#define Mot1B 5

unsigned char v_read; // read serial command

// the setup function runs once when you press reset or power the board
void setup() 
{
  // initialize Motor as OUTPUT
  pinMode(Mot1A, OUTPUT);
  pinMode(Mot1B, OUTPUT);
  Serial.begin(9600);
  Serial.println(" warte auf Deine Eingabe: ");
}

// the loop function runs over and over again forever
void loop() 
{
  v_read=0; // alles aus
  if(Serial.available() != 0)
  {
    v_read=Serial.read();
    //Serial.println(v_read); // gib Echo für Testzwecke aus
  
    if(v_read == 'r')
    {
      digitalWrite(Mot1A, HIGH);   // turn the LED on (HIGH is the voltage level)
      digitalWrite(Mot1B, LOW);    // turn the LED off by making the voltage LOW
      Serial.println("Drehe rechts");
    }

    else if(v_read == 'l')
    {
      digitalWrite(Mot1B, HIGH);   // turn the LED on (HIGH is the voltage level)
      digitalWrite(Mot1A, LOW);    // turn the LED off by making the voltage LOW
      Serial.println("Drehe links");
    }

    else if(v_read == 's')
    {
      digitalWrite(Mot1B, LOW);   // turn the LED on (HIGH is the voltage level)
      digitalWrite(Mot1A, LOW);    // turn the LED off by making the voltage LOW
      Serial.println(" stopp ! ");
    }
    else if(!(v_read != 13) || (v_read != 10)) 
    {
      Serial.println(" unbekanntes Kommando ");
    }
  }  
}
