// 

#define Mot1A 3 // mögliche PWM - Pins 3, 5, 6, 9, 10, 11
#define Mot1B 5

unsigned char v_read; // read serial command
unsigned char v_pwm; // read PWM-value for turn
boolean b_left, b_right; // wurde links oder Rechtsdrehung aktiviert

// the setup function runs once when you press reset or power the board
void setup() 
{
  // initialize Motor as OUTPUT
  pinMode(Mot1A, OUTPUT);
  pinMode(Mot1B, OUTPUT);
  Serial.begin(9600);
  Serial.println(" warte auf Deine Eingabe: ");
  v_pwm=0;
  b_left=0;
  b_right=0;
}

// the loop function runs over and over again forever
void loop() 
{
  v_read=0; // alles aus
  if(Serial.available() != 0)
  {
    v_read=Serial.read();
    //Serial.println(v_read); // gib Echo für Testzwecke aus
    if(v_read == '1')
    {
      v_pwm=30;
      Serial.println("Drehe minimal");
    }
    
    else if(v_read == '5')
    {
      v_pwm=125;
      Serial.println("Drehe 50%");
    }

    else if(v_read == '0')
    {
      v_pwm=250;
      Serial.println("Drehe 100%");
    }
    
    else if(v_read == 'r')
    {
      Serial.println("Drehe rechts");
      b_right=1;
      b_left=0;
    }

    else if(v_read == 'l')
    {
      Serial.println("Drehe links");
      b_left=1;
      b_right=0;// only on can be active
    }

    else if(v_read == 's')
    {
      digitalWrite(Mot1B, LOW);   // turn the LED on (HIGH is the voltage level)
      digitalWrite(Mot1A, LOW);    // turn the LED off by making the voltage LOW
      Serial.println(" stopp ! ");
      v_pwm=0;
      b_left=0;
      b_right=0;
    }
    else if(!(v_read != 13) || (v_read != 10)) 
    {
      Serial.println(" unbekanntes Kommando ");
    }
  }  // ende von if(Serial.available() != 0)


  if(b_left)
  {
    analogWrite(Mot1B, v_pwm);   // turn the LED on (HIGH is the voltage level)
    digitalWrite(Mot1A, LOW);    // turn the LED off by making the voltage LOW
  }

  if(b_right)
  {
    analogWrite(Mot1A, v_pwm);   // turn the LED on (HIGH is the voltage level)
    digitalWrite(Mot1B, LOW);    // turn the LED off by making the voltage LOW
  }

}
