

#define NOTE_C4  262  // welche Note hat welche Frequenz
#define NOTE_CS4 277
#define NOTE_D4  294
#define NOTE_DS4 311
#define NOTE_E4  330
#define NOTE_F4  349
#define NOTE_FS4 370
#define NOTE_G4  392
#define NOTE_GS4 415
#define NOTE_A4  440
#define NOTE_AS4 466
#define NOTE_B4  494
#define NOTE_C5  523
#define NOTE_CS5 554

#define LSP 3 // Ansteuertransistor für Tonausgabe an Pin D3 anschließen


// hier die individulle melodie:
int melodie[] = {
  NOTE_C4, NOTE_C4, NOTE_G4, NOTE_A4, NOTE_G4, NOTE_A4, NOTE_B4, NOTE_C4
};

// die dauer der noten wird in viertel achtel oder halb ausgegeben
int noteDauer[] = {
  4, 8, 8, 4, 4, 4, 4, 4
};

int Note;
int notePlay;

void setup() 
{
  
  for (Note = 0; Note < 8; Note++) 
  {
    notePlay = 1000 / noteDauer[Note];
    tone(LSP, melodie[Note], notePlay);

    int PauseZwischenNoten = notePlay * 1.30;// es ist auch moeglich eine variable erst zu definieren, wenn sie gebraucht wird
    delay(PauseZwischenNoten);
   
    noTone(LSP);
  }
}

void loop() {
  // es reicht wenn die Melodie einmal gespielt wird
}
