#define LED 13        // hier ist die LED angeschlossen
#define BAUD 9600     // hier wird die Übertragungsrate der Schnittstelle festgelegt
#define Hysterese 20  // damit die LED nicht bei jeder kleinen Schwankung schaltet, definiert man eine Hysterese
#define LDR A0        // hier ist der LDR angeschlossen



unsigned int licht, s;// welche Variablen braucht dieses Programm

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED, OUTPUT);
  Serial.begin(BAUD);
  s=500; //Schwellwert für die Dunkelheit
}

// the loop function runs over and over again forever
void loop() 
{
  licht = analogRead(LDR);
  Serial.println(licht, DEC);// jede Zeile ein neuer Wert, das erhöht die lesbarkeit
  delay(200); // es reichen fünf Messwerte pro Sec leicht aus  

  if(licht >  s )
  { digitalWrite(LED,HIGH); } // es ist dunkel, schalte das Licht ein
  else
   { digitalWrite(LED,LOW); } // es ist wieder hell genug, spare Energie
 
}
