// Funktion Schimmern für Osterhase Projekt


#include "Adafruit_NeoPixel.h"// wichtig ist immer zuerst die library einzubinden
#define PIN  8 // welcher Pin des arduino gibt die Steuerbefehle aus
#define NUMPIXELS 40 // wie viele LED's hat der stripe eigentlich nur 75 aber ab und an brennt die letzte led
// Neu ist bei dieser Bibliothek, dass zuerst ein Object der Bipliothek zu erstellen ist, um sie nutzen zu können
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_RGB + NEO_KHZ800);



//-------- define Konstanten _________________________________________
#define c_red 120     // Belegung der einzelnen Farbwerte:
#define c_blue 120
#define c_green 120
#define c_ws 50
#define c_gelb 90     //Wert für rot und grün
//################# d e f i n e s ####################################################
//####################################################################################


enum farben_array { aus,rd,gn,bl,ge,ws,vt}; // c ist die Farbe der Figuren 0=aus, 1=rot, 2=green, 3=blau, 4=gelb -> daraus ergeben sich die Werte für RGB
unsigned char led[NUMPIXELS]; 
unsigned char v_brightness; 
unsigned char farbe;
unsigned char i; // Laufvariable
unsigned int  t; // Zeitvariable
//############## v a r i a b l e #######################################################
//######################################################################################



void wuerfeln(void);          // ermittelt die Augenzahl und steuert die LED'S des Würfels
void ledstripe(void);         // alle LEDs ansteueren mit dem Wert im Array
void erase_ar(void);          // schalte alle LED's im array aus
void spalte(unsigned char col); // übergebe welche Spalte aktiviert werden soll
void LedSchimmern(void);
//############# F u n k  t i o n e n ##################################################
//#####################################################################################


void setup() 
{
   Serial.begin(115200);
   pixels.begin(); // initialisiert den LED streifen
   Serial.println(" init: OK 1!!");Serial.flush();
   for(int i=0; i < NUMPIXELS; i++) 
     { led[i]=0; }

   v_brightness = 10; // Helligkeit
   farbe=rd; // rd,gn,bl,ge,ws
   t=500;
}
//#######################################################################################
//################################   S  E  T  U  P    ###################################
//#######################################################################################
void loop() 
{
  LedSchimmern();
  
}
//#######################################################################################
//####################   E  N  D    O  F     L  O  O  P    ##############################
//#######################################################################################



void spalte(unsigned char col) // übergebe welche Spalte aktiviert werden soll
{// bei links zu zählen anfangen
unsigned char x;  // Laufvariable bei for-Schleife
unsigned char y;  // anzahl der LED's zwischen zwei zeilen
unsigned char s;  // erste angesteuerte LED in der Zeile 
  
  if(col == 1)
  { 
    y=0;
    s=0; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }

  
  if(col == 2)
  { 
    y=0;
    s=1; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
  
  if(col == 3)
  { 
    y=0;
    s=2; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
  
  if(col == 4)
  { 
    y=0;
    s=3; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
  
  if(col == 5)
  { 
    y=0;
    s=4; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
  
  if(col == 6)
  { 
    y=0;
    s=5; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
  
  if(col == 7)
  { 
    y=0;
    s=6; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
   
  if(col == 8)
  { 
    y=0;
    s=7; // = col - 1
    for(x=0; x < 5; x++)// es sind fünf zeilen also ist x = 0, 1, 2, 3, 4 bei 5 wird der Durchlauf abgebrochen
    {
      led[s+x*y]=farbe; // bei der ersten LED muss x=0 und y=0 sein!
      y=8;  // 8 ist der Abstand zwischen den LED's
   }
  }
}




void erase_ar(void)
{
   for(int i=0; i < NUMPIXELS; i++) 
    { led[i]=0; }
}
//*************************************************************************************
//************ W  U  E  R  F  E  L  N  () *********************************************
//**************************************************************************************
void wuerfeln(void)
{
  unsigned char augen;
  randomSeed(millis());
  augen = random(6)+1; //Zufallszahl 1 .. 6 soll erzeugt werden
  Serial.println(augen,DEC);
   
  if(augen == 1)// wenn 1 dann soll led[74] leuchten
  { led[19]=farbe; }
  
  if(augen == 2)// wenn 2 dann led[73] und led[68]
  {
    led[26]=farbe;
    led[12]=farbe; 
  }
  
  if(augen == 3)// wenn 3 dann led[73], led[74] und led[68]
  { 
    led[26]=farbe;
    led[12]=farbe;
    led[19]=farbe; 
  }
  
  if(augen == 4)// wenn 4 dann led[73], led[69] led[68] und led[72]
  { 
    led[10]=farbe;
    led[12]=farbe;
    led[26]=farbe;
    led[28]=farbe;
  }
  
  if(augen == 5)// wenn 5 dann led[73], led[69] led[68] led[72] und led[74]
  { 
    led[10]=farbe;
    led[12]=farbe;
    led[19]=farbe;
    led[26]=farbe;
    led[28]=farbe; 
  }
  
  if(augen == 6)// wenn 6 dann led[73], led[70] led[69] led[68] led[71] und led[72]
  { 
    led[10]=farbe;
    led[12]=farbe;
    led[18]=farbe;
    led[20]=farbe;
    led[26]=farbe;
    led[28]=farbe;;
  }
  ledstripe();
 
}

//*****************************************************************************************************
//*************  L E D S C H I M M E R N  ()  '''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//*****************************************************************************************************
void LedSchimmern(void)
{ 
// LED in allen Farben  
// rot  : | 255 konst | 255 ... 0 | 0 konst   | 0 konst  | 0 ... 255 | 255 konstant |
// blau : | 0... 255  | 255 konst | 255 konst | 255 ... 0| 0  konst  | 0 konstant   |
// grün : | 0 konst   | 0 konst   | 0 ... 255 | 255 konst| 255 konst | 255 ... 0    |
// Farbe: rot ->  violett ->    blau  ->   türkis ->    grün ->     gelb     ->    rot

// t=200;
unsigned char leds[6]={10,22,32,33,40,7};
enum farben {rot, vio, blau, turk, gruen, gelb };
unsigned char green, red, blue;// wenn aus dann alle Wert =0 und bei gelb sind rot und grün belegt!!!!!!!!!
unsigned char t=20;
unsigned char x,z,y;

 // Serial.println("LED");
  pixels.clear(); // schaltet jede LED aus
  z=0;
  x=0;
  y=0;
for(z=0; z < 5; z++)
{ 
  for(int i=0; i < 255; i++) 
  {
   Serial.print("x: "); Serial.print(x,DEC);
   green=0;
   red=255;
   blue=x;//0 ... 255
   pixels.setPixelColor(leds[z], pixels.Color(green, red, blue));//,v_brightness);
   if(z < 5)
   {z=z+1;}
   else
   {z=0;}
   Serial.print(" z: "); Serial.print(z,DEC);
   green=0;
   red=255-x;//255 ... 0
   blue=255;
   pixels.setPixelColor(leds[z], pixels.Color(green, red, blue));//,v_brightness);
    if(z < 5)
   {z=z+1;}
   else
   {z=0;}
    Serial.print(" z: "); Serial.print(z,DEC);
   green=x; // 0... 255
   red=0;
   blue=255;
   pixels.setPixelColor(leds[z], pixels.Color(green, red, blue));//,v_brightness);
   if(z < 5)
   {z=z+1;}
   else
   {z=0;}
    Serial.print(" z: "); Serial.print(z,DEC);
   green=255;
   red=0;
   blue=225-x;//255 ... 0
   pixels.setPixelColor(leds[z], pixels.Color(green, red, blue));//,v_brightness);
   if(z < 5)
   {z=z+1;}
   else
   {z=0;}
    Serial.print(" z: "); Serial.print(z,DEC);
   green=255;
   red=x;//0 ... 255
   blue=0;
   pixels.setPixelColor(leds[z], pixels.Color(green, red, blue));//,v_brightness);
   if(z < 5)
   {z=z+1;}
   else
   {z=0;}
    Serial.print(" z: "); Serial.print(z,DEC);
   green=255-x;//255 ... 0
   red=255;
   blue=0;
   pixels.setPixelColor(leds[z], pixels.Color(green, red, blue));//,v_brightness);
   if(z < 5)
   {z=z+1;}
   else
   {z=0;}
    Serial.print(" z: "); Serial.println(z,DEC);
    //Serial.print(green,DEC);Serial.print(' ');Serial.print(red,DEC);Serial.print(' ');Serial.print(blue,DEC);Serial.println(' ');Serial.println();Serial.flush();
  
  pixels.setBrightness(v_brightness);// wie hell sollen die LEDs leuchten
  //  Serial.println(v_brightness,DEC);Serial.flush();
  pixels.show();   // Send the updated pixel colors to the hardware.
  delay(t);
  x++;
  y++;
 
 } // ende von for 
}
}



//*****************************************************************************************************
//*************  L E D S T R I P E ()  ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//****************************************************************************************************
void ledstripe(void)
{ 
  
unsigned char green, red, blue;// wenn aus dann alle Wert =0 und bei gelb sind rot und grün belegt!!!!!!!!!

 // Serial.println("LED");
  pixels.clear(); // schaltet jede LED aus
  for(int i=0; i < NUMPIXELS; i++) 
  {
    if(led[i] == 0) // alles aus
    {
      green=0;
      red  =0;
      blue =0;
    }
    
    if(led[i] == 1) // rot
    {
      green=0;
      red  =c_red;
      blue =0;
    }

    if(led[i] == 2) // grün
    {
      green=c_green;
      red  =0;
      blue =0;
    }

    if(led[i] == 3) // blau
    {
      green=0;
      red  =0;
      blue =c_blue;
    }

    if(led[i] == 4) // gelb
    {
      green=c_gelb;
      red  =c_gelb;
      blue =0;
    }
    
    if(led[i] == 5) // weiss für Würfel
    {
      green=c_gelb;
      red  =c_gelb;
      blue =c_blue;
    }
    
    if(led[i] == 6) // weiss für Würfel
    {
      red  =c_gelb;
      blue =c_blue;
    }
    pixels.setPixelColor(i, pixels.Color(green, red, blue));//,v_brightness);
    //Serial.print(green,DEC);Serial.print(' ');Serial.print(red,DEC);Serial.print(' ');Serial.print(blue,DEC);Serial.println(' ');Serial.println();Serial.flush();
  } // ende von for 
  pixels.setBrightness(v_brightness);// wie hell sollen die LEDs leuchten
  //  Serial.println(v_brightness,DEC);Serial.flush();
  pixels.show();   // Send the updated pixel colors to the hardware.
}
