// dieses programm gibt die Temperatur in 0.5 °C Schritten aus


#define T A1
#define c_ampl 0.01583
#define multiplikator 4.3
#define line 25

float t_mess,t_old;
boolean b_start;
int t_abs;
byte c;

void setup() {
  // put your setup code here, to run once:
 Serial.begin(9600);
 
 //analogReference(INTERNAL);// Vref =1.1V ein digit 1mV bewirkt einen kleineren Messbereich, aber eine höhere Auflösung
 b_start=1; // ja der Rechner startet gerade 
 c=0;
}

void loop() 
{
  t_mess=analogRead(A1);
  t_mess = t_mess * multiplikator; // in eine Spannung umwandeln -> Vref gemessen am Arduino Nano: 4,3V
  //nun wollen wir den Spannungswert in °C umrechnen: zuerst vom Messert die Spannungsverschiebung abziehen 
  // und dann die Temperatur berechnen in dem der Messwert geteilt wird durch 13mV/°C
  t_mess = (t_mess- 3600) / 15.3 ;    
  // damit der angezeigte Wert weniger schwankt, bilde den Mittelwert zweier Messungen
  if(!b_start)// wenn b_start == 0, dann ist alter Messwert vorhanden
  { t_mess = (t_mess + t_old)/2; }
  else
  {  Serial.println("Temperatur: ");  }
  t_old=t_mess;
  b_start=0;
  t_abs=abs(t_mess); // berechne den absoluten Messwert
  if((t_mess-t_abs > 0.4) && (t_mess-t_abs <= 0.9))
  {  t_mess = t_abs+0.5;  }
  else
  { t_mess = t_abs; }
  Serial.print("       ");
  Serial.println(t_mess,1);
  c++;
  delay(1000);
  if(!(c % line))      // nach wie vielen Zeilen soll Bezeichner erneut ausgegeben werden
   {  Serial.println("Temperatur: ");  }
  

}
