#define limit_O 200
#define limit_U 10
#define taster 3
#define LED1 13
#define LED2 12
#define LED3 11
#define LED4 6
#define LED5 5  // ist maulwurf!
#define gedrueckt 0
#define losgelassen 1
#define t_reaktion 50 // welche Reaktiobzeit wird toleriert

unsigned long time_start,time_stopp; //werte für start und stopp zeitstempel
unsigned int delta;

unsigned int zufall;// zufallszahl
unsigned int Tdel; // reaktionszeit abspeichern
boolean v_taster;// variable für Tasterzustand

void warte_taste(boolean status_taste);// eine funktionm die wartet ob taste gedrueckt oder losgelassen

void setup() 
{
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(LED3, OUTPUT);
  pinMode(LED4, OUTPUT);
  pinMode(LED5, OUTPUT);
  pinMode(taster, INPUT_PULLUP);
  randomSeed(analogRead(0));// da,it wird der erste Wert über einen freien Port zufällig generiert. freier Pin A0!!!!!!
  Serial.begin(9600);
}

// the loop function runs over and over again forever
void loop() 
{ 
  warte_taste(gedrueckt);// warte bis taster gedrueckt, dann startet der Zufallsgenerator
  zufall = random(limit_O);// random erzeugt nur scheinbar zufallszahlen, nach neustart würden sie sich wiederholen
    // zufall enthält einen wert von 0 ... 300
  
  zufall = random(limit_U,limit_O);// random erzeugt nur scheinbar zufallszahlen, nach neustart würden sie sich wiederholen
    // zufall enthält einen wert von 0 ... 300
  Serial.println(zufall);
  
  digitalWrite(LED1, HIGH);   // LED einschalten
  delay(2*zufall);
  digitalWrite(LED1, LOW);   // LED abschalten
  delay(zufall);
  
  digitalWrite(LED2, HIGH);   // LED einschalten
  delay(2*zufall);
  digitalWrite(LED2, LOW);   // LED abschalten
  delay(zufall);
  
  digitalWrite(LED3, HIGH);   // LED einschalten
  delay(2*zufall);
  digitalWrite(LED3, LOW);   // LED abschalten
  delay(zufall);
  
  digitalWrite(LED4, HIGH);   // LED einschalten
  delay(2*zufall);
  digitalWrite(LED4, LOW);   // LED abschalten
  delay(zufall);
  
  digitalWrite(LED5, HIGH);   // LED einschalten
  delay(2*zufall);
  digitalWrite(LED5, LOW);   // LED abschalten
  delay(zufall);
  time_start=millis();
  warte_taste(gedrueckt);// wenn taster gedrückt, ist v_taster = 0 und damit die abbruchbedingung erfüllt 
  time_stopp=millis();
  
  // und somit springt das Programm raus aus der Schleife
  
  warte_taste(losgelassen);// warte bis taster losgelassen
  delta=time_stopp-time_start;
  if(delta < t_reaktion)
  {
    Serial.println("gut gemacht");
  }
  else
  {
    Serial.println("üben !!");
  }
}




void warte_taste(boolean status_taste)
{
  if(status_taste == gedrueckt)
  {
    do
    {
      v_taster=digitalRead(taster);
      delay(50);
      if(v_taster == gedrueckt)
        { v_taster=digitalRead(taster); }
    }
    while(v_taster);// wenn taster gedrückt, ist v_taster = 0 und damit die abbruchbedingung erfüllt 
  }

  if(status_taste == losgelassen)
  {
    do
     {
      v_taster=digitalRead(taster);
      delay(50);
      if(v_taster == losgelassen)
        { v_taster=digitalRead(taster); }
     }
    while(!v_taster);// warte bis taster losgelassen
    delay(50);
  }
  
}
