#include <Servo.h>

#define schrittweite 2 // um wie viel grad soll der motor sich bewegen
#define delta_t 20     // und in welchem Zeitintervall soll dies geschehen

Servo mei_servo;  // damit erzeugt man eine kopie von servo mit mei_servo um es ansprechen zu koennen


int pos = 0;    // variable to store the servo position


void setup() 
{
  mei_servo.attach(9);  // mit welchem PWM-Ausgang soll der servo angesteuert werden ?
}



void loop() 
{
  for (pos = 0; pos <= 180; pos += schrittweite) 
  { // bewege in die eine Richtung bis 180°
    mei_servo.write(pos);              // bewege dich in die neue Position pos
    delay(delta_t);                       // verharre in dieser position
  }
  for (pos = 180; pos >= 0; pos -= schrittweite) 
  { // bewege mich wieder zur Ausgangsposition
    mei_servo.write(pos);               
    delay(delta_t);                       
  }
  delay(2000); //warte bis zur nächsten Bewegung
}
