
#define led1  9      // LED1 vom Stroboskop
#define led2  10     // LED2 vom Stroboskop
#define led3  11     // LED2 vom Stroboskop


#define LEDs_ein 0xE
#define LEDs_aus 0

#define PULSEPOTI A0

int pulse = 0;    // definiert wie lange die LED hell ist
const int cycle = 20;    // definiert die Pausenzeit, die die LEDs aus sind


void setup() 
{
    pinMode(led1, OUTPUT);
    pinMode(led2, OUTPUT);
    pinMode(led3, OUTPUT);
}


void loop() 
{
  pulse = map(analogRead(PULSEPOTI), 5, 1000, 10, 1);// Create a pulse 1ms and 10ms
  PORTB = LEDs_ein;
  delay(pulse);
  PORTB = LEDs_aus;
  delay(cycle);
  
}
