// Deklaration und Initialisierung der Eingang-Pins
#define analog  A0 
#define digital 2

float val;
boolean trigger;
      
void setup ()
{
  pinMode (val, INPUT);
  pinMode (digital, INPUT);
       
  Serial.begin (9600); // Serielle Ausgabe mit 9600 bps
}
  
// Das Programm liest die aktuellen Werte der Eingang-Pins
// und gibt diese auf der seriellen Ausgabe aus
void loop ()
{
  val = analogRead (analog) * (5.0 / 1023.0);// Werte werden ausgelesen, auf den entsprechenden Spannungswert umgerechnet  
  trigger = digitalRead (digital);// nur den Zustand einlesen
    
  //... und an dieser Stelle ausgegeben
  Serial.print ("Analoger Spannungswert:"); Serial.print (val, 4);  Serial.print ("V, ");
  Serial.print ("Grenzwert:");
  
  if(trigger == 1)
  {
      Serial.println (" erreicht");
  }
  else
  {
      Serial.println (" noch nicht erreicht");
  }
  Serial.println ("----------------------------------------------------------------");
  delay (200);
}
