#define analog A0  // An welchem Pin wurde der Sensor angeschlossen
#define digital 2  // an welchem Pin des arduino wurde der digitalausgang des Sensors angeschlosssen
#define normal 2000 // wenn keine Grenzwertüberschreitung, dann reicht alle 2s eine Nachricht
#define warning 500 // wenn der Grenzwert überschritten, dann sende 2 Botschaften in der Sekunde
#define warm_up 10//   wie lange will ich dem Sensor Zeit geben sich warm zu machen

unsigned int CO_val;  // der Analogwert wird als integer abgespeichert
boolean status_val;   // der Digitalwert hat nur zwei Zustände


void setup() 
{
  unsigned int c;    // brauche eine Variable für die for - Schleife
  Serial.begin(9600);// aktiviere die serielle Schnittstelle
  pinMode(digital, INPUT);// der Pin 2 des arduino wird nun als Eingang definiert
  Serial.println(" Warte bis der erste Aufwärmvorgang beendet ist   ");
  for(c=0; c < warm_up; c++)// jede Sekunde soll ausgegeben werden, wie lange die Aufwärmphase dauert
  {
    Serial.print(warm_up-c,DEC);
    Serial.print("s ...");
  }
  Serial.println();
  Serial.println("beendet!!!");
}

void loop() 
{
  status_val=digitalRead(digital);
  CO_val=analogRead(analog);
  Serial.write("gelesen wurde folgender Wert vom Sensor: "); 
  Serial.println(CO_val,DEC);
  if(!status_val)
  { Serial.println(" ACHTUNG  !!!   Wert überschritten");}

  delay(normal);
  if(status_val)
  {
    delay(normal);
  }
  else
  {
    delay(warning);
  }
}
