#define Echo 2
#define Trig 3
#define Mounting 220// in welcher Höhe ist der Sensor montiert?
#define Person 100

unsigned int Duration;
float Distanz;
float Altitude;
unsigned int count;


void trigger(void);// diese funktion schaltet den Trigger kurz auf high

void setup() 
{
  Serial.begin(9600);
  pinMode(Trig,OUTPUT);
  digitalWrite(Trig,LOW);
  pinMode(Echo,INPUT);
  count=0;
}

void loop() 
{
  trigger();
  Duration = pulseIn(Echo,HIGH);// Zähle so lange die Zeit bis ein HIGH-Puls am Eingang ECHO erkannt wird 
  if (Duration > 0) 
  {
    Distanz = Duration / 2;     // der Impuls legt die Strecke vom und zum Objekt zurück
    Distanz = Distanz * 0.0340; // Schallausbreitungsgeschwindigkeit ist bei Raumtemperatur 340m/s = 34000cm/s = 0.034cm/us
    Serial.println((int)floor(Distanz));// floor rundet eine float zahl ab
    Altitude = Mounting - Distanz;
    Serial.println((int)floor(Altitude));// floor rundet eine float zahl ab
  }
  if (Altitude < Person)// wenn ich erkenne dass eine bestimmte Höhe überschritten wurde, war es eine Person
    { count++;}         // ist abhängig wo der Sensor installiert ist
}

void trigger(void)
{
  digitalWrite(Trig,HIGH);
  delayMicroseconds(10);// löse den Sendeimpuls aus
  digitalWrite(Trig,LOW);
}
