// Bibliothek einbinden
# include <IRremote.h>
// der Empfänger ist an Pin 2 angeschlossen
int IREmpfaenger = 2;
// EmpfaengerLesen liest den Wert der gedrückten Taste 
IRrecv EmpfaengerLesen(IREmpfaenger);

// der empfangene Code wird unter Ergebnis abgespeichert
decode_results Ergebnis;

void setup()
{
 Serial.begin(9600);
 // der IR-Empfänger wird gestartet
 EmpfaengerLesen.enableIRIn();
}
void loop() 
{
 // wenn Daten empfangen werden
 // → werden sie als Dezimalzahl(DEC) gespeichert
 if (EmpfaengerLesen.decode(&Ergebnis)) 
 {
 Serial.println(Ergebnis.value, HEX);
 EmpfaengerLesen.resume();
 }
}
