/*
PINOUT:
MODUL                  Nano V3
BLK                    GND
BLA                    +5V
PSB (SPI)              GND
E (SCK)                D13
R/W (MOSI)             D11
RS (CS)                D10
VCC                    +5V
GND                    GND


U8glib library copyright notice:

  Universal 8bit Graphics Library, http://code.google.com/p/u8glib/
  
  Copyright (c) 2012, olikraus@gmail.com
  All rights reserved.
*/


/* U8glib einbinden  */
#include "U8glib.h"

/* SPI Pin definieren */
#define CS_PIN 10

/* 12864 LCD in SPI modus initialisieren */
U8GLIB_ST7920_128X64_1X u8g(CS_PIN);

void setup() 
{
}

/* Mein program */
void loop() 
{
  /* Bildaufbau */
  u8g.firstPage();  
  
  /* Wiederholen bis fertig */
  do 
  {
    u8g.setFont(u8g_font_helvB08); // Schriftart auswählen
    u8g.drawStr( 26, 28, "Happy Birthday"); // Text anzeigen
    u8g.setFont(u8g_font_fub14); // Schriftart ändern
    u8g.drawStr( 22, 46, "Andreas!");
    u8g.setFont(u8g_font_cursor); // Symbol-Schristart wählen
    u8g.drawStr( 12, 50, "\x5e"); //Herz1
    u8g.drawStr( 16, 14, "\x5f"); //Herz2
    u8g.drawStr( 110, 16, "\x5e"); //Herz3
    u8g.drawStr( 114, 50, "\x5f");  // Herz4
    u8g.drawFrame(4,4,123,60);  // Rahmen1
    u8g.drawFrame(2,2,123,60);  // Rahmen2
  
  }while(u8g.nextPage());
}
