#include <LiquidCrystal.h>

// Create an LCD object. Parameters: (RS, E, D4, D5, D6, D7):
LiquidCrystal lcd = LiquidCrystal(2, 3, 4, 5, 6, 7);

unsigned char i;

void setup() {
  // put your setup code here, to run once:
  pinMode(2,OUTPUT);
  pinMode(3,OUTPUT);
  pinMode(4,OUTPUT);
  pinMode(5,OUTPUT);
  pinMode(6,OUTPUT);
  pinMode(7,OUTPUT);
  
  lcd.begin(16, 2); // das Display hat 16 Zeichen und zwei Zeilen
  lcd.setCursor(2, 0);// Textausgabe beginnt beim 3.Zeichen (0,1,2)
  lcd.print("erste  Zeile");
  lcd.noDisplay();
  delay(1000);
  lcd.display();
  lcd.setCursor(2, 1);
  lcd.print("zweite Zeile");
  delay(1000);
  lcd.clear();  // löschte die Anzeige
  delay(1000);
  lcd.setCursor(2, 0);
  lcd.print("erste  Zeile");
  delay(1000);
  lcd.setCursor(2, 1);
  lcd.print("zweite Zeile");
  lcd.home();   // positioniert den Cursor oben links
  lcd.cursor(); // stellt den Cursor dar
  lcd.blink();  // Cursor blinkt
  delay(3000);
  lcd.noDisplay();
  lcd.noCursor();
  lcd.noBlink();
  delay(1000);
  lcd.display();
  delay(1000);
  lcd.noDisplay();
  delay(1000);
  lcd.display();
  lcd.scrollDisplayLeft();// um ein Zeichen links schieben
  delay(1000);
  lcd.scrollDisplayRight();// um ein Zeichen rechts schieben
  delay(1000);
  lcd.scrollDisplayRight();
  delay(1000);
  lcd.clear();
  
  lcd.autoscroll();
  lcd.setCursor(16, 0);
  for (i = 0; i <= 10; i++) 
  {
    lcd.print(i);lcd.print(' ');
    delay(500);
  }
  lcd.noAutoscroll();
  lcd.clear();
  lcd.leftToRight(); //standard
  lcd.setCursor(2, 0);// Textausgabe beginnt beim 3.Zeichen (0,1,2)
  lcd.print("erste  Zeile");
  lcd.rightToLeft();// schreibt den Text von rechts nach links
  lcd.setCursor(13, 1);// Textausgabe beginnt beim 3.Zeichen (0,1,2)
  lcd.print("zweite Zeile");  
  
  
}

void loop() {
  // put your main code here, to run repeatedly:

}
