/* Example sketch to create and display custom characters on character LCD with Arduino and LiquidCrystal library. For more info see www.www.makerguides.com */

#include <LiquidCrystal.h>

// Creates an LCD object. Parameters: (RS, E, D4, D5, D6, D7)
LiquidCrystal lcd = LiquidCrystal(2, 3, 4, 5, 6, 7);

// Make custom characters:
unsigned char Herz[] = 
{
  B01010,
  B11111,
  B11111,
  B01110,
  B00100,
  B00000,
  B00000
};

unsigned char Telefon[] = 
{
  B00000,
  B01110,
  B10101,
  B11011,
  B01110,
  B01110,
  B00000,
  B00000
};
unsigned char Glocke[] = 
{
  B00010,
  B01110,
  B01110,
  B01110,
  B11111,
  B00000,
  B00100
  };



unsigned char OK[] = 
{
  B00000,
  B00001,
  B00011,
  B10110,
  B11100,
  B01000,
  B00000
};

unsigned char sound[] = 
{
  B00001,
  B00011,
  B01111,
  B01111,
  B01111,
  B00011,
  B00001
};
unsigned char Note[] = {
  B00001,
  B00001,
  B00001,
  B00001,
  B00001,
  B00011,
  B00011
};

 unsigned char Monster[] = 
 {
  B11111,
  B10101,
  B11111,
  B11111,
  B01110,
  B01010,
  B11011
};

unsigned char Dreieck[]=
{
  B00100,
  B01110,
  B01010,
  B10001,
  B11111,
  B00000
};

unsigned char Schloss[] = 
{
  B01110,
  B10001,
  B10001,
  B11111,
  B11011,
  B11011,
  B11111,
  B00000
};

unsigned char Sanduhr[] =
{
  B11111,
  B01010,
  B01010,
  B00100,
  B01010,
  B10001,
  B11111
};
byte smiley[] = 
{
  B00000,
  B10001,
  B00000,
  B00000,
  B10001,
  B01110,
  B00000,
};

unsigned char Sanduhr1[] =
{
  B11111,
  B01110,
  B01010,
  B00100,
  B01010,
  B10001,
  B11111
};

unsigned char Sanduhr2[] =
{
  B11111,
  B01110,
  B01010,
  B00100,
  B01010,
  B11111,
  B11111
};

unsigned char Sanduhr3[] =
{
  B11111,
  B01010,
  B01010,
  B00100,
  B01110,
  B11111,
  B11111
};

void setup() {
  
  lcd.begin(16, 2);

  // Definier die erzeugten Zeichen
  lcd.createChar(0, Herz);
  lcd.createChar(1, Telefon);
  lcd.createChar(2, Glocke);
  lcd.createChar(3, OK);
  lcd.createChar(4, sound);
  lcd.createChar(5, Note);
  lcd.createChar(6, Monster);
  lcd.createChar(7, Dreieck);
  lcd.clear();
  lcd.print("erstellte Zeichn");
  
  lcd.setCursor(0, 1);
  lcd.write(byte(0));
  lcd.setCursor(2, 1);
  lcd.write(byte(1));
  lcd.setCursor(4, 1);
  lcd.write(byte(2));
  lcd.setCursor(6, 1);
  lcd.write(byte(3));
  lcd.setCursor(8, 1);
  lcd.write(byte(4));
  lcd.setCursor(10, 1);
  lcd.write(byte(5));
  lcd.setCursor(12, 1);
  lcd.write(byte(6));
  lcd.setCursor(14, 1);
  lcd.write(byte(7));
  delay(3000);
  lcd.clear();
  delay(1000);
  lcd.print("erstellte Zeichn");
  lcd.createChar(0, Schloss);
  lcd.createChar(1, Sanduhr);
  lcd.createChar(2, Sanduhr1);
  lcd.createChar(3, Sanduhr2);
  lcd.createChar(4, Sanduhr3);
  lcd.createChar(5, Sanduhr3);
  lcd.setCursor(0, 1);
  lcd.write(byte(0));
  lcd.setCursor(2, 1);
  lcd.write(byte(1));
  lcd.setCursor(4, 1);
  lcd.write(byte(2));
  lcd.setCursor(6, 1);
  lcd.write(byte(3));
  lcd.setCursor(8, 1);
  lcd.write(byte(4));
  lcd.setCursor(10, 1);
  lcd.write(byte(5));
  lcd.setCursor(12, 1);
  lcd.write(byte(6));
}

void loop() {
  // zeige nun alle erzeugten Zeichen
  
  lcd.setCursor(0, 1);
  lcd.write(byte(8));
  delay(1000);
  lcd.setCursor(2, 1);
  lcd.write(byte(9));
  delay(1000);
  lcd.setCursor(4, 1);
  lcd.write(byte(10));
  delay(1000);
  lcd.setCursor(6, 1);
  lcd.write(byte(11));
  delay(1000);
  lcd.setCursor(8, 1);
  lcd.write(byte(12));
}
