// dierses Programm ist nur als Beispielprojekt konzipiert
// die bessere und ausgereiftere Lösung ist mit codiertem Drehschalter

#include <LiquidCrystal.h>

LiquidCrystal lcd(2, 3, 4, 5, 6, 7);


#define sw 8 // taster des Joystick an Pin D8

unsigned char x_pos,h_pos,m_pos,v_pos;
unsigned int x,y,d;
unsigned long start;
unsigned long led_start;
unsigned long timer_akt;
unsigned long timer_old;
boolean Anz12_24;
boolean changed;

unsigned char h, m, s;

void mittelstellung(void);  // warte so lange, bis der Joystick losgelassen (in Mittelstellung) ist
void zeige_uhrzeit(void);   // gibt die aktuellen Werte auf dem Display aus

void setup() {
  Serial.begin(115200);
  pinMode(sw,INPUT_PULLUP);
  lcd.begin(16, 2);
  lcd.setCursor(3, 0);
  lcd.print("Uhrzeit:");

  h=10;
  m=0;
  s=0;
}

void loop() {
  // put your main code here, to run repeatedly:
  x=analogRead(A0);
  y=analogRead(A1);
  delay(300);
  Serial.print(x,DEC);Serial.print("=x | y:");
  Serial.println(y,DEC);
  //#################################################################
  //    Ändere die aktuelle Uhrzeit
  // ist Taste gedrückt?
  v_pos=x_pos;//v_pos wird gebraucht, weil mit dem Aufruf von zeige_uhrzeit() die Variable x_pos verändert wird!!
  d=digitalRead(sw);
  if(d == 0)// wenn ja, dann ändere die Uhrzeit
  {
     do // warte bis Taste wieder losgelassen
     {
         d=digitalRead(sw);
     }
     while(d == 0);
     changed=0;
     Serial.println("sw betätigt");
     do
     {     
        lcd.setCursor(x_pos, 2); // gehe zu stunde1 
        y=analogRead(A0);
        if(y < 400)// y nach oben erhöhe aktuellen Wert|Stunde:x_pos 3= || 4 oder Minute x_pos= 6 || 7
        {
          if((v_pos == 3) || (v_pos == 4))
           { 
            h+=1;              // ändere den Wert
            Serial.print("h: ");Serial.println(h,DEC);
            zeige_uhrzeit();  // und zeige ihn auch gleich an
           }
           else
           if((v_pos == 6) || (v_pos == 7))
           { 
            m+=1;              // ändere den Wert
            
            zeige_uhrzeit();  // und zeige ihn auch gleich an
           }
           mittelstellung();
        }
        
        if(y > 600)// y nach unten erniedrige aktuellen Wert ||  Stunde oder Minute ist positionsabhängig
        {
          if((v_pos == 3) || (v_pos == 4))
           { 
            h-=1;              // ändere den Wert
            Serial.print("h: ");Serial.println(h,DEC);
            zeige_uhrzeit();  // und zeige ihn auch gleich an
           }
           else                                                     // else ist notwendig damit nicht beide bedingungen geprüft werden
           if((v_pos == 6) || (v_pos == 7))                         // if ist notwendig weil eigener Grenzwert festgelegt wird
           { 
            m-=1;              // ändere den Wert
            Serial.print("m: ");Serial.println(m,DEC);
            zeige_uhrzeit();  // und zeige ihn auch gleich an
           }
           mittelstellung();
        }
        
        delay(100);
        x=analogRead(A1);
        Serial.print(x,DEC);Serial.print("=x | y:");Serial.println(y,DEC);
        
        if(x < 400) // nach rechts gedrückt
         { // x pos nach rechts wenn in Stundengehe zu Minutenanzeige
           if((v_pos == 3) || (v_pos == 4))
           {
              if(m >= 10)
              { v_pos=6; }
              else
              { v_pos=7; }
              lcd.setCursor(v_pos, 2); // positioniere Cursor 
           }
           else          
           if((v_pos == 6) || (v_pos == 7))
           { 
            // bleibe in der Position
           }
           mittelstellung();
         } 
         
        if(x > 600)
        {// x pos nach links, wenn in Minute gehe zu stunde
          if((v_pos == 6) || (v_pos == 7))
           {
              if(m >= 10)
              { v_pos=3; }
              else
              { v_pos=4; }
              lcd.setCursor(v_pos, 2); // positioniere Cursor
           }
           else           
           if((v_pos == 3) || (v_pos == 4))
           { 
            // bleibe in der Position
           }
           mittelstellung();
          
        }
       
        d=digitalRead(sw);
        if(d == 0)// wenn ja, dann ändere die Uhrzeit
        {
          lcd.noBlink();
          changed=1;
          s=0;//Sekunden auf 00 setzen
        }  

        do // warte bis Taste wieder losgelassen
        {
            d=digitalRead(sw);
        }
        while(d == 0);
        
     }
     while(!changed);// so lange nicht geändert, bleibe in der Schleife
     lcd.clear();// damit die option 12h / 24h gelöscht wird
     lcd.setCursor(3, 0);
     lcd.print("Uhrzeit:");
     uhrzeit();
     delay(70); // Entprellzeit, könnte vielleicht auch kürzer sein?
  }
//################################################################# 

  uhrzeit();
  zeige_uhrzeit();
}

void uhrzeit(void)
{
// ermittle die aktuelle Uhrzeit
  timer_akt=millis();

  if(timer_akt > timer_old+1000)
  { 
   s++;
   timer_old=timer_akt;
  }
  
  if (s >= 60)
  {
    s = 0;
    m++;
  }
  
  if (m >= 60)
  {
    m = 0;
    h++;
  }
  if((Anz12_24 == 0) && (h >= 13))
  {
    h = 1;
  }
  
  if((Anz12_24 == 1) && (h >= 24))
  { h = 0; }
}

void zeige_uhrzeit(void)
{
  //#########################################################
//zeige die aktuelle Uhrzeit im LCD Display
 if(h >= 10) 
  {
    x_pos=3;
    h_pos=3;
    lcd.setCursor(h_pos, 2);
    lcd.print(h);
  } 
  else 
  {
    x_pos=4;
    h_pos=4;
    lcd.setCursor(3, 2);
    lcd.print('0');
    lcd.setCursor(h_pos, 2);
    lcd.print(h);
  }

  lcd.setCursor(5, 2);
  lcd.print(':');

  if(m >= 10) 
  {
    x_pos=6;
    m_pos=6;
    lcd.setCursor(m_pos, 2);
    lcd.print(m);
  } 
  else 
  {
    x_pos=7;
    m_pos=7;
    lcd.setCursor(6, 2);
    lcd.print('0');
    lcd.setCursor(m_pos, 2);
    lcd.print(m);
  }

  lcd.setCursor(8, 2);
  lcd.print(':');
  if(s >= 10)
  {
    lcd.setCursor(9, 2);
    lcd.print(s); 
  } 
  else 
  {
    lcd.setCursor(9, 2);
    lcd.print('0');
    lcd.setCursor(10, 2);
    lcd.print(s);
  }
}

void mittelstellung(void)
{
  do
  {
    x=analogRead(A1);
    y=analogRead(A0);
  }
  while(!((x < 550) && (x > 450) &&  (y < 550) && (y > 450)));
  // alle Bedingungen müssen erfüllt sein, damit die while Schleife verlassen werden kann
  
}
