
// lege die Portleitungen fest:
#define LED_data 2
#define LED_clk 3
// lege die Wartezeiten der Schaltzustände fest
#define warte_EIN 800
#define warte_AUS 400
//##########################

// definiere die Variablen

//#########################

// Funktionsprototypen:
void spiWrite(byte LEDs);
//#########################


void setup() 
{

  pinMode(LED_data,OUTPUT);  
  pinMode(LED_clk,OUTPUT); 

}

//#####################################

void loop()
{
  // Start Frame: 32 Bit 0
  spiWrite(0x00);   
  spiWrite(0x00);
  spiWrite(0x00);
  spiWrite(0x00);

  // LED1 frame: Weiss mit weniger Helligket
  spiWrite(0b11100010);   // brighntness: Bi4 ... Bit0
  spiWrite(0b11111111);   // blaue LED EIN
  spiWrite(0b11111111);   // grüne LED: EIN
  spiWrite(0b11111111);   // rote LED: EIN

  // LED2 frame: ROT  
  spiWrite(0b11101000);   // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);   // blaue LED: AUS
  spiWrite(0b00000000);   // green LED OFF
  spiWrite(0b11111111);   // rote LED: EIN

  // LED3 frame:  Grün
  spiWrite(0b11101000);   // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);   // blaue LED: AUS
  spiWrite(0b11111111);   // grüne LED: EIN
  spiWrite(0b00000000);   // rote LED: AUS

  // LED4 frame: BLAU
  spiWrite(0b11101000);   // brighntness: Bi4 ... Bit0
  spiWrite(0b11111111);   // blaue LED EIN
  spiWrite(0b00000000);   // green LED OFF
  spiWrite(0b00000000);   // rote LED: AUS

  // LED5 frame: gelb
  spiWrite(0b11101000);   // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);   // blaue LED: AUS
  spiWrite(0b11111111);   // grüne LED: EIN
  spiWrite(0b11111111);   // rote LED: EIN

  // LED6 frame: Türkis
  spiWrite(0b11101000);   // brighntness: Bi4 ... Bit0
  spiWrite(0b11111111);   // blaue LED EIN
  spiWrite(0b11111111);   // grüne LED: EIN
  spiWrite(0b00000000);   // rote LED: AUS

  // LED7 frame: Magenta 
  spiWrite(0b11101000);   // brighntness: Bi4 ... Bit0
  spiWrite(0b11111111);   // blaue LED EIN
  spiWrite(0b00000000);   // green LED OFF
  spiWrite(0b11111111);   // rote LED: EIN
  
  // LED8 frame: Weiss
  spiWrite(0b11100010);   // brighntness: Bi4 ... Bit0
  spiWrite(0b11111111);   // blaue LED EIN
  spiWrite(0b11111111);   // grüne LED: EIN
  spiWrite(0b11111111);   // rote LED: EIN

  // ENDE FRAME: 32 Bit auf high
  spiWrite(0b11111111);   
  spiWrite(0b11111111);  
  spiWrite(0b11111111);  
  spiWrite(0b11111111);  
   
  delay(warte_EIN);

  // AllE LEDs wieder auf AUS:  
  // Start Frame 
  spiWrite(0x00);
  spiWrite(0x00);
  spiWrite(0x00);
  spiWrite(0x00);

  //LED1 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

  //LED2 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

  //LED3 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

  //LED4 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

  //LED5 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

  //LED6 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

  //LED7 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS

 //LED8 frame
  spiWrite(0b11100000);  // brighntness: Bi4 ... Bit0
  spiWrite(0b00000000);  // blaue LED: AUS
  spiWrite(0b00000000);  // green LED OFF
  spiWrite(0b00000000);  // rote LED: AUS
  
  spiWrite(0b11111111);   
  spiWrite(0b11111111);   
  spiWrite(0b11111111);   
  spiWrite(0b11111111);   
   
  // Alle LEDs sind aus
  delay(warte_AUS);
}
//##################################################################################################################################################


void spiWrite(byte LEDs) // gib ein Datenbyte aus
{
  uint8_t i;
  for (i=0; i<8 ;i++)
  {
    if (LEDs&0x80)   // schaue, ob das Datenbit HIGH ist
      { digitalWrite(LED_data, HIGH);   } 
    else 
    {  digitalWrite(LED_data, LOW);   }     
    // erzeuge nun das CLK Signal, damit das Datenbit vom Empfänger eingelesen wird  
    digitalWrite(LED_clk, HIGH);
    delayMicroseconds(1);
    digitalWrite(LED_clk, LOW);
    delayMicroseconds(1);
    LEDs <<= 1; // einmal links schieben und nächstes MSB Bit prüfen
  }
 digitalWrite(LED_data, HIGH);
}
