
#define D5 5
#define D4 4
#define D3 3
#define D2 6

#define on 1
#define off 0


byte v_rx;
boolean T1,T2,T3,T4;

void mosfet(byte fet); // welcher fet soll geschaltet werden on/off

void setup() 
{
  // put your setup code here, to run once:
  pinMode(D2,OUTPUT);
  pinMode(D3,OUTPUT);
  pinMode(D4,OUTPUT);
  pinMode(D5,OUTPUT);

  digitalWrite(D2,LOW);
  digitalWrite(D3,LOW);
  digitalWrite(D4,LOW);
  digitalWrite(D5,LOW);
  
  Serial.begin(9600);
  T1=off;
  T2=off;
  T3=off;
  T4=off;
  
}

void loop() 
{
  v_rx=0;
 if(Serial.available() > 0)
 { v_rx=Serial.read();Serial.println(v_rx);}
 

 switch (v_rx)
 {
  case '1': Serial.print("schalte T1:");Serial.print(T1);mosfet(T1);
  break;
  case '2': Serial.print("schalte T2:");Serial.print(T2);mosfet(T2);
  break;
  case '3': Serial.print("schalte T3:");Serial.print(T3);mosfet(T3);
  break;
  case '4': Serial.print("schalte T4:");Serial.print(T4);mosfet(T4);
  break;
  
 }
}

void mosfet(byte fet)
{
  if(fet == on)
  { fet=off;Serial.print(" aus:");Serial.println(fet); }
  else
  { fet=on;Serial.print(" ein:");Serial.println(fet);}
  digitalWrite(D2,T1);
  digitalWrite(D3,T2);
  digitalWrite(D4,T3);
  digitalWrite(D5,T4);
}
