#define dataPin 3
#define clkPin 2
#define timer 300 // gib hier verschieden Werte ein: 200, 10, 5 und dann 1
unsigned char digit[8]={0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01};
unsigned char data[11]={0x03,0x9F, 0x25, 0x0D, 0x99, 0x49, 0x41, 0x1F, 0x01, 0x09, 0xFE};   
unsigned char dig_active[8];// es können nur maximal acht digit 0.. 7 aktiv sein, wenn 0xA dann aus ansonsten 0 ... 9 und B für Dot
unsigned char x;


void setup() 
{
  // INITIALISIERE die Pins für die Ausgabe
  pinMode(dataPin,OUTPUT);
  pinMode(clkPin, OUTPUT);
  
  
  // gib nun 0024 in der ersten Zeile aus, aber nur beim Programmstart
  shiftOut(dataPin, clkPin, LSBFIRST, data[0]);// datenByte
  shiftOut(dataPin, clkPin, LSBFIRST, digit[0]);// aktiviere Digit 0
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[0]);// datenByte
  shiftOut(dataPin, clkPin, LSBFIRST, digit[1]);// aktiviere Digit 1
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[2]);// datenByte
  shiftOut(dataPin, clkPin, LSBFIRST, digit[2]);// aktiviere Digit 2
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[4]);// datenByte
  shiftOut(dataPin, clkPin, LSBFIRST, digit[3]);// aktiviere Digit 3
  delay(timer);
}

void loop() 
{
  // initialisiere alle digits mit einem Wert
  dig_active[0]=data[0];// angezeigter Wert für digit0 = 0
  dig_active[1]=data[0];// angezeigter Wert für digit1 = 0
  dig_active[2]=data[0];// angezeigter Wert für digit2 = 0
  dig_active[3]=data[0];// angezeigter Wert für digit3 = 0
  dig_active[4]=data[1];// angezeigter Wert für digit4 = 1
  dig_active[5]=data[2];// angezeigter Wert für digit5 = 2
  dig_active[6]=data[3];// angezeigter Wert für digit6 = 3
  dig_active[7]=data[4];// angezeigter Wert für digit7 = 4

  // gib nun die Werte nacheinander am Display aus:
  for(x=0; x <= 7; x++)
  {
     shiftOut(dataPin, clkPin, LSBFIRST, dig_active[x]);  // zuerst die Daten ausgeben
     shiftOut(dataPin, clkPin, LSBFIRST, digit[x]);       // dann welches Digit angesprochen werden sol
     delay(timer);                                            // warte bis zum Senden des nächsten Datensatzes
  }

}
