// hier wird nur 0024 in der ersten Zeile des Displays dargestellt


#define dataPin 3
#define clkPin 2
#define timer 6

unsigned char digit[8]={0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01};
unsigned char data[11]={0x03,0x9F, 0x25, 0x0D, 0x99, 0x49, 0x41, 0x1F, 0x01, 0x09, 0xFE};   
unsigned char dig_active[8];// es können nur maximal acht digit 1.. 8 aktiv sein, wenn 0xA dann aus ansonsten 0 ... 9 und B für Dot
unsigned char x;


void setup() {
  // notwendige Pins als Ausgang definieren
  pinMode(dataPin,OUTPUT);
  pinMode(clkPin, OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:

  shiftOut(dataPin, clkPin, LSBFIRST, data[0]); // welche Ziffer wird ausgegeben
  shiftOut(dataPin, clkPin, LSBFIRST, digit[0]);// an welchem Digit 0,1,2,3 ist die erste Zeile 
  delay(timer);                                       // die Digits 4,5,6,7 sind die zweite Zeile
  shiftOut(dataPin, clkPin, LSBFIRST, data[8]);
  shiftOut(dataPin, clkPin, LSBFIRST, digit[1]);
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[9]);
  shiftOut(dataPin, clkPin, LSBFIRST, digit[2]);
  delay(timer);
  shiftOut(dataPin, clkPin, LSBFIRST, data[0]);
  shiftOut(dataPin, clkPin, LSBFIRST, digit[3]);
  delay(timer);

}
