// Transistor T soll Last einschalten
// Timer soll aus sleep wecken damit Powerbank geschont wird 
// aber sie muss so belastet werden, dass sie nict abschaltet
// wie groß muss der Strom sein
// wie lang darf die PAuse sein

#include <EEPROM.h>   // Bibliothek einbinden, um die Funktionen nutzen zu können
#define LDR A0        // Anschluss des LDR
#define T 13          // dann kann man an der LED auf der Platine gleich sehen, ob der Transistor angesteuert wird
#define LED 4         // 
#define BAUD 9600
#define Hysterese 20 // damit die LED nicht bei jeder kleinen Schwankung schaltet, definiert man eine Hysterese



unsigned int licht, s;
unsigned int addr, val;
boolean schreib;
unsigned char data;


              // the setup function runs once when you press reset or power the board
void setup() 
{
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED, OUTPUT);
  pinMode(T,OUTPUT); //mit einem Transistor an Pin D10 kann man einen Strom fließen lassen um 
                      // ein abschalten der Power bank zu verhindern 
  addr=0x01;
  val=0;
  Serial.begin(BAUD);
  EEPROM.write(addr, val);// jetzt steht die 0 im EEPROM
  schreib =0;

  s=500; //Schwellwert für die Dunkelheit, wurde frei gewählt
}

// the loop function runs over and over again forever
void loop() 
{
  licht = analogRead(LDR);
  Serial.println(licht,DEC);
  delay(200); // es reichen fünf Messwerte pro Sec leicht aus  

  if((licht <  s) && (schreib == 0))// mit schreib wird verhindert, dass die Botschaft nicht dauernd gesendet wird
  { 
    val++;//immer wenn ich Licht bekomme, erhöhe ich den Wert
    EEPROM.write(addr, val);
    schreib = 1;  // damit der Wert aber nur einmal erhöht wird
    digitalWrite(LED,HIGH);
    delay(1000);
    digitalWrite(LED,LOW);
    delay(1000);
    Serial.print("speichern:");
    Serial.println(val,DEC);
  }

  if(licht >s)// wenn es wieder dunkel ist mache ich Falle scharf
  {
    schreib=0;
    Serial.println("Schreib 0");
  }
}
