#include <Arduino.h>
#include <TM1637Display.h>

// Module connection pins (Digital Pins)
#define CLK 2
#define DIO 3

// The amount of time (in milliseconds) between tests
#define TEST_DELAY   2000
#define dauer 1000 // eine Sekunde
#define  led_dauer 500 // kürzere probieren
#define h_SW A0
#define m_SW A1
#define ledPin A2      // Sekundenanzeige
#define helligkeit 90  // zum Probieren

unsigned long start;
unsigned long led_start;
unsigned long akt_timer;
unsigned long led_akt_timer;

int h, m, s,Zeit;
boolean ledstatus;

const uint8_t SEG_DONE[] = {
	SEG_B | SEG_C | SEG_D | SEG_E | SEG_G,           // d
	SEG_A | SEG_B | SEG_C | SEG_D | SEG_E | SEG_F,   // O
	SEG_C | SEG_E | SEG_G,                           // n
	SEG_A | SEG_D | SEG_E | SEG_F | SEG_G            // E
	};

const uint8_t SEG_xxxx[] = {
  SEG_G,
  SEG_G,
  SEG_G,
  SEG_G
};

TM1637Display display(CLK, DIO);  //erzeuge ein Objekt display  der Klasse TM1637Display 

  /*
  // Selectively set different digits
  data[0] = display.encodeDigit(0);
  data[1] = display.encodeDigit(1);
  data[2] = display.encodeDigit(2);
  data[3] = display.encodeDigit(3);
  display.setSegments(data);
  delay(TEST_DELAY);
  display.setBrightness(7,false);
  display.setSegments(data);
  
  
  display.clear();
  display.setSegments(data+2, 2, 1);
  delay(TEST_DELAY);

  
  delay(TEST_DELAY);
  display.clear();
  display.showNumberDec(-5, false, 3, 0); // Expect: _-5_
 */
  
void setup()
{
  pinMode(h_SW, INPUT_PULLUP);
  pinMode(m_SW, INPUT_PULLUP);
  pinMode(ledPin, OUTPUT);
  
  
  h = 12;
  m = 0;
  s = 0;
  ledstatus = LOW;
   display.setBrightness(0x0f);
  // All segments on
  display.setSegments(SEG_xxxx);
}
void loop()
{
  akt_timer = millis();
  if (akt_timer - start >= dauer)
  {
    s++;
    start = akt_timer;
  }
  led_akt_timer = millis();
  if (led_akt_timer - led_start >= led_dauer)
  {
    led_start = led_akt_timer;
    if (ledstatus == LOW)
    {
      ledstatus = HIGH;
      if (digitalRead(h_SW) == LOW)
          {   h++;   }
      if (digitalRead(m_SW) == LOW)
      {
        m++;
        s = 0;
      }
    }
    else
        { ledstatus = LOW; }
    digitalWrite(ledPin, ledstatus);
  }
  if (s >= 60)
  {
    s = 0;
    m++;
  }
  if (m >= 60)
  {
    m = 0;
    h++;
  }
  if (h >= 13)
  {
    h = 1;
  }
  Zeit = h * 100 + m;
  
}


 
 
