// in diesem Beispiel sollen Tastendrücke ausgewertet werden: 
#define LED 13

//Die Ziffern und Zeichen des Keypads werden eingegeben:
int spalte[3]={6,7,8}; //x1, x2, x3
int reihe[4]={9,10,11,12};//y1, y2, y3, y4

uint8_t i,r,s;
char key; //speichere den Char der gedrückten Taste

const uint8_t row=4;
const uint8_t col=3;
char Tastenfeld[row][col]=
{// X1  X2  X3
  {'1','2','3'},// Y1
  {'4','5','6'},// Y2
  {'7','8','9'},// Y3
  {'*','0','#'}//  Y4
};

uint8_t key_scan;

void LED_blink(void);

void setup()
{
 Serial.begin(9600);
 for(i=9;i <= 13;i++) // PIN 13 ist die LED, deshalb auch auf output!
   { pinMode(i,OUTPUT); digitalWrite(i,HIGH);}//Initialisierung der PINs als OUTPUT und schalten auf HIGH

 for(i=6;i <= 8;i++)
   { pinMode(i,INPUT_PULLUP); }//Initialisierung der PINs als OUTPUT

 key_scan=HIGH;
}

void loop()
{
//Suche nach gedrücktem Knopf
 for(r=0; r<=3; r++)
 {// zuerst abwechselnd eine Reihe aktiv schalten
     digitalWrite(reihe[r],LOW);// Schalte eine Reihe auf high und schau welche Spalte auch high ist
     delay(10);
  // dann alle Spalten einlesen und schauen ob ein Knopf gedrückt - > HIGH an einem der Spalten-Pins   
  for(s=0; s < 3; s++)
  {
    key_scan=digitalRead(spalte[s]);
    if(key_scan == LOW)
    { //Wenn gedrückter Knopf erkannt, sende Botschaft über RS232
      delay(100);
      key_scan=digitalRead(spalte[s]);    // ist der Pin immernoch high
      if(key_scan == LOW)
      {
        key=Tastenfeld[r][s];
        Serial.print("Taste: ");Serial.print(key);Serial.println(" gedrückt");
        do //warte bis losgelassen
         {
           key_scan=digitalRead(spalte[s]);    // ist der Pin immernoch high
           delay(10);
         }
        while(key_scan == LOW);// so lange LOW, bleibe in der Schleife
       }  
     }   
   }// ende for s
  digitalWrite(reihe[r],HIGH);// Schalte eine Reihe auf high und schau welche Spalte auch high ist
 }// ende for r

// Hier kann nun der Programmcode weiter geschrieben werden, was bei welchem Tastendruck zu tun ist

// z.B merke die Reihenfolge von c_count Tastendrücken
// wenn diese == 0815 sind, dann soll es Piepsen oder die LED leuchten / blinken


 
}//ende von loop


void LED_blink(void)
{
  digitalWrite(LED, HIGH);
  delay(500);
  digitalWrite(LED,LOW);
}
