#define LED 13    // an welchem Pin ist die interne LED angeschlossen? 
#define warte 800 // wartezeit in [ms]

// die Funktion setup() wird nach einem Reset des Mikrocontrollers nur einmal durchlaufen
void setup() 
{
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED, OUTPUT); // der Pin, an dem die LED hängt, muss als Ausgang definiert werden
  digitalWrite(LED, LOW); // initial ist die LED aus

}

// the loop function runs over and over again forever
void loop() 
{
  digitalWrite(LED, HIGH);   // schalte die LED ein
  delay(warte);              // warte, damit die LED für 800ms leuchtet
  digitalWrite(LED, LOW);    // schalte die LED aus
  delay(warte);              // warte, dannbleibt die LED 800ms aus
}
