#include <Adafruit_BMP280.h>
#include <Wire.h>
#include <SPI.h>


#define SCK 13
#define MISO 12
#define MOSI 11
#define CS 10
Adafruit_BMP280 bmp280(CS, MOSI, MISO, SCK); // erzeuge ein Objekt mit SPI Schnittstelle

float p;

void setup() {
 Serial.begin(9600);
 Serial.println("bmp280280 test");

 if (!bmp280.begin()) 
 {
 Serial.println(("keine Verbindung zum Sensor!"));
 while (1);
 }

}
void loop() {
 Serial.print("Temperatur: ");
 Serial.print(bmp280.readTemperature());
 Serial.println(" *C");

 Serial.print("Luftdruck: ");
 p=bmp280.readPressure(); // einheit ist Pascal
 p=p/100; // umrechnen in mbar
 Serial.print(p);
 Serial.println(" mbar");
 Serial.print("berechnete Höhe ");
 //Serial.print( bmp280.readAltitude(971.2),1); // Luftdruck am Ort   Luftdruck = 1013,25 hPa * [ 1 − 6,5 * Höhe / (288150 m) ]^5,255   Höhe z.B. 356m -> p=971mBar bei einem Tiefdruckgebiet erhält man einen negative Höhe
 Serial.print( bmp280.readAltitude(1013.25),1);
 Serial.println(" m");
 Serial.println();
 delay(2000);
}
