#define clk1_pin 3  
#define clk2_pin 12  
#define sw_pin 8
  
int c,c_old; 
boolean dir,test;
int last;  
int act;


void setup() 
{
  // put your setup code here, to run once:
  Serial.begin(115200);
  c=127;
  pinMode(clk1_pin,INPUT_PULLUP);
  pinMode(clk2_pin,INPUT_PULLUP);
  pinMode(sw_pin,INPUT_PULLUP);
  last=digitalRead(clk1_pin);
  attachInterrupt(digitalPinToInterrupt(clk1_pin), Encoder, FALLING);
}

void loop() 
{
  if ((dir == 1) && (c != c_old))//darf nur eine Flanke auswerten sonst zählt der doppelt
     { Serial.println(c,DEC); dir=0; c_old=c;}  
}
  
void Encoder(void)
{
  act = digitalRead(clk1_pin);
  // Überprüfung auf Änderung
  //delay(4);
  if ((act != last) && (act == 0))//darf nur eine Flanke auswerten sonst zählt der doppelt
  { 
     if (digitalRead(clk2_pin) != act) // clk1_pin hat sich zuerst verändert
     { c ++; } 
     else                             // Andernfalls hat sich clk2_pin zuerst verändert
     { c --; }
   } 
   last = act;
   dir=1;
}
