#include <IRremote.h> // Bibliothek irremote version 2.2.3 verwenden!
#define RECV_PIN  2

#define LED1 6
#define LED2 5
#define LED3 3

 
 int val=85;


IRrecv irrecv(RECV_PIN);
decode_results results;

void setup() 
{
  Serial.begin(9600);
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(LED3, OUTPUT);
  irrecv.enableIRIn();
  irrecv.blink13(true); 
}
void loop() 
{
  if (irrecv.decode(&results)) 
   {
     Serial.println(results.value,HEX);
     delay(100);
     /////////////////////////
     if(results.value==0xFF30CF)
     {
        Serial.println("1");
        digitalWrite(LED1, HIGH);
        
     }
     ////////////////////////
     else if(results.value==0xFF18E7)
     {
        Serial.println("2");
        digitalWrite(LED2, HIGH);
        
     }
     else if(results.value==0xFF7A85)
     {
        Serial.println("3");
        digitalWrite(LED3, HIGH);
        
     }  
     //////////////////////////////
     else if(results.value==0xFF6897)
     {
          digitalWrite(LED3, LOW);
          Serial.println("0");
          digitalWrite(LED2, LOW);
          digitalWrite(LED1, LOW);
     }
         
     irrecv.resume(); // Receive the next value
   }
  
}  
