// dieses Beispiel wurde von Joy-it zur Verfügung gestellt
// trotzdem ist fraglich, wozu OLED_Reset definiert wird,
// weil ja das Display keinen REset Eingang besitzt?


#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>  // zusätzlich muss jedoch AdafruitI2Cdevice.h geladen sein (in Adafruit Bus IO master!!)
#include <Adafruit_SSD1306.h>
#include <Adafruit_BMP280.h>

#define OLED_ADDR 0x3C
#define OLED_RESET 4
#define OLED_WIDTH 128
#define OLED_HEIGHT 64

Adafruit_SSD1306 display(OLED_WIDTH, OLED_HEIGHT, &Wire, OLED_RESET);

float p,a,t;
int d;

void setup() 
{
  display.begin(SSD1306_SWITCHCAPVCC, OLED_ADDR); ////Adressierung beachten, hier 0x3C!
}  

int i;
void loop() 
{


display.clearDisplay();
display.setTextColor(WHITE); // alternativ BLACK, BLUE, RED, GREEN, CYAN, MAGENTA, YELLOW, WHITE  
display.setTextSize(2);      // 1 ...  5  1 = 10 Pixel  5 = 50 Pixel
display.setCursor(23,0);
display.print("Pollin:");
display.setTextSize(1);
display.setCursor(15,16);
display.print("Druck: ");
display.print(p);
display.print(" mBar ");
display.setCursor(15,24);
display.print("Hoehe: ");
display.print(String(a,1));
display.print("  m ");
display.display();        // nachdem alle Daten im Display buffer geschrieben sind werden diese dargestellt
delay(1000);
}
