#define LED1 8      // lege selber die LED fest:
#define LED2 9      // wie viele und auch an welchem Pin
#define LED3 10

#define BAUD 9600   // die Baudrate wird diesmal über eine Konstante festgelegt
#define Hysterese 20 // damit die LED nicht bei jeder kleinen Schwankung schaltet, definiert man eine Hysterese
                     // probiere auch andere Werte für die Hysterese aus: 0, 20, 100 oder so
#define warte 200

                  
unsigned int licht, s;

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(LED3, OUTPUT);
  Serial.begin(BAUD);
  s=500; //Schwellwert für die Dunkelheit
}

// the loop function runs over and over again forever
void loop() 
{
  licht = analogRead(A0);
  Serial.println(licht, DEC);// jede Zeile ein neuer Wert, das erhöht die lesbarkeit
  

  if(licht >  s)
  { digitalWrite(LED1,HIGH); }

  if(licht >  s+ Hysterese)
  { digitalWrite(LED2,HIGH); }// wenn es dunkler wird leuchtet eine weitere LED

  if(licht >  s+ 2*Hysterese)
  { digitalWrite(LED3,HIGH); }// wenn es ganz dunkel ist, leuchten drei LED's

  if( licht < s - Hysterese)// wenn es merklich heller wird schalten alle LED's aus
  { 
    digitalWrite(LED1,LOW);
    digitalWrite(LED2,LOW);
    digitalWrite(LED3,LOW);
  } 
  delay(warte); // es reichen fünf Messwerte pro Sec leicht aus  
}
