#include <Adafruit_NeoPixel.h> // wichtig ist immer zuerst die library einzubinden

#define delay_loop 100 // wie viel Pause zwischen den Schleifendurchläufen
#define FSR A0
#define PIN  2 // welcher Pin des arduino gibt die Steuerbefehle aus
#define NUMPIXELS 8
#define intervall 125 // 1000/8 -> messbereichvon A0 in 8 Bereiche geteilt

// Neu ist bei dieser Bibliothek, dass zuerst ein Object der Bipliothek zu erstellen ist, um sie nutzen zu können
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

unsigned char anz_pixel = NUMPIXELS; // wie viele LED's hat der stripe als variable, weil ich ja selber bestimme wie viele LEDs leuchten
unsigned int v_FSR;
unsigned char v_LED;                // wie viele LED's sollen jetzt angesteuert werden
unsigned char k;                    // Laufvariable für die for - Schleife

void setup() {
   pixels.begin(); // initialisiert den LED streifen
   Serial.begin(9600);
}

void loop() {
    pixels.clear(); // schaltet jede LED aus
    v_FSR = analogRead(FSR);
    v_FSR = 1010;
    v_LED=0;
    Serial.print("FSR: "); Serial.println(v_FSR,DEC);

    for(k=0; k< NUMPIXELS; k++)
    { 
          if(v_FSR > ((k+1)*intervall) && (v_FSR < ((k+2) * intervall)))
          {
            v_LED=k+1;
          }
    }

    Serial.print("Anz LED: "); Serial.println(v_LED,DEC);
   
    delay(delay_loop);                             
 
    anz_pixel=v_LED; // hier fehlt noch die Umrechnung der Zeit in anz_pixel!

  if(v_LED >0)
  {
    for(int i=0; i < anz_pixel; i++) 
    { 
      Serial.print("i= ");Serial.println(i,DEC);
      pixels.setPixelColor(i, pixels.Color(0, 150, 0));
      pixels.setBrightness(64);// wie hell sollen die LEDs leuchten
      pixels.show();   // Send the updated pixel colors to the hardware.
    }// ende von for
  }
  else
  {  //alle LED's aus
    for(int i=0; i < NUMPIXELS; i++) 
    { 
      pixels.setPixelColor(i, pixels.Color(0, 0, 0));
      pixels.setBrightness(0);// wie hell sollen die LEDs leuchten
      pixels.show();   // Send the updated pixel colors to the hardware.
    }// ende von for
  }
    
}
