#define T A1
#define c_ampl 0.01583
#define multiplikator 4.3

float t_mess,t_old;
boolean b_start;

void setup() {
  // put your setup code here, to run once:
 Serial.begin(9600);
 
 //analogReference(INTERNAL);// Vref =1.1V ein digit 1mV bewirkt einen kleineren Messbereich, aber eine höhere Auflösung
 b_start=1; // ja der Rechner startet gerade 
}

void loop() 
{
  t_mess=analogRead(A0); Serial.print("Rohdaten A0: ");Serial.println(t_mess,0); //hier kann MP1 gemessen werden
  t_mess=analogRead(A1);
  Serial.println();
  Serial.print("Rohdaten A1: ");Serial.print(t_mess,0); // zeige mir den ADC-Wert, aber ohne Dezimalstelle
  t_mess = t_mess * multiplikator; // in eine Spannung umwandeln -> Vref gemessen am Arduino Nano: 4,3V
  
  
  Serial.print("  Spannung: [mV] ");Serial.print(t_mess,3);
  //nun wollen wir den Spannungswert in °C umrechnen: zuerst vom Messert die Spannungsverschiebung abziehen 
  // und dann die Temperatur berechnen in dem der Messwert geteilt wird durch 13mV/°C
  t_mess = (t_mess- 3600) / 14.8 ;    
  // damit der angezeigte Wert weniger schwankt, bilde den Mittelwert zweier Messungen
  if(!b_start)// wenn b_start == 0, dann ist alter Messwert vorhanden
  { t_mess = (t_mess + t_old)/2; }
  t_old=t_mess;
  b_start=0;
      
  Serial.print("  Temperatur: ");Serial.println(t_mess,1);

delay(1000);

}
