#define LED_gn 9
#define LED_rt 10
#define LED_bl 11

#define poti_rt  A0
#define poti_gn  A1
#define poti_bl  A2

unsigned char rt,gn,bl;// hier reicht char, weil zuvor der Potiwert dividiert wird

void setup() 
{
  pinMode(LED_gn, OUTPUT);
  pinMode(LED_rt, OUTPUT);
  pinMode(LED_bl, OUTPUT);
  Serial.begin(9600);
}

void loop() 
{// Potiwerte einlesen und abspeichern
  rt= analogRead((poti_rt)/4);
  gn= analogRead((poti_gn)/4);
  bl= analogRead((poti_bl)/4);
  // LED ansteuern
  analogWrite(LED_rt, rt);// (Arduino_Pin ,  PWM-Wert)
  analogWrite(LED_gn, gn);
  analogWrite(LED_bl,bl);
  // werte ausgeben um zu sehen, wie sich die Farben zusammensetzen
  Serial.print("Farbanteile  rot : "); 
  Serial.print(rt,DEC );
  Serial.print(" gruen : "); Serial.print(gn,DEC);
  Serial.print(" blau : "); Serial.println(bl,DEC);
}
