#include <Wire.h>
#include <RTClib.h>


PCF8563 rtc;  // Objekt erstellen

void setup() 
{
  Serial.begin(9600);
  Wire.begin();
  rtc.begin();
  if (!rtc.isrunning()) 
  { Serial.println("keine Verbindung zu RTC-Modul !");  }
  else
  {
     // nur einmal aufrufen dann auskommentieren
     //rtc.adjust(DateTime(2021, 12, 29, 14, 8, 20));
     //                  jahr monat tag h, m, sek
     Serial.println("aktuelles");
     Serial.println("Datum  und Uhrzeit:");
  }
}

void loop() 
{
    
    DateTime now = rtc.now();
    Serial.print(now.day(), DEC);
    Serial.print('/');
    Serial.print(now.month(), DEC);
    Serial.print('/');
    Serial.print(now.year(), DEC);
    Serial.print(" ");
    Serial.print(now.hour(), DEC);
    Serial.print(':');
    Serial.print(now.minute(), DEC);
    Serial.print(':');
    Serial.print(now.second(), DEC);
    Serial.println();
    delay(1000);
}
