
#define led1  9      // LED1 vom Stroboskop
#define led2  10     // LED2 vom Stroboskop
#define led3  11     // LED2 vom Stroboskop

#define LEDs_ein 0xE
#define LEDs_aus 0

#define PULSEPOTI A0
#define PAUSEPOTI A1

// es ist wichtig auch die Zeiten wariable zu gestalten, 
// denn es gibt Ereignissem die langsamer sind und somit größere
// Schaltzeiten benötigen z.B. fallender Wassertropfen
// ein sich drehendes Objekt braucht kürzere Schaltzeitenm wie z.B. ein Plattenspielerteller.
// leider ist es schwierig Werte vorherzusagen, deshalb ist es gescjicktes Probieren,
// bis sich ein gewünschter Effekt einstellt

#define pause_min 1
#define pause_max 10
#define pulse_min 1
#define pulse_max 10

int pulse = 0;    // definiert wie lange die LED hell ist
int pause = 20;    // definiert die Pausenzeit, die die LEDs aus sind


void setup() 
{
    pinMode(led1, OUTPUT);
    pinMode(led2, OUTPUT);
    pinMode(led3, OUTPUT);
}


void loop() 
{
  pulse = map(analogRead(PULSEPOTI), 5, 1000, pulse_max, pulse_min);// Create a pulse 1ms and 10ms
  pause = map(analogRead(PAUSEPOTI), 5, 1000, pause_max, pause_min);// Create a pulse 1ms and 10ms
  PORTB = LEDs_ein;
  delay(pulse);
  PORTB = LEDs_aus;
  delay(pause);
  
}
